<?php 				
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;	
require_once( ABSPATH ."/functions/phpmailer/PHPMailer.php");
require_once( ABSPATH ."/functions/phpmailer/Exception.php");
$mail = new PHPMailer();

$mail->isHTML(true);
$mail->CharSet = "UTF-8";
$mail->FromName="YUCCA CRM";
$mail->From='nepasrepondre@'.str_replace("www.", "", $_SERVER['HTTP_HOST']);

/*
 * NE PAS TOUCHER
 * Page de connexion
 * 
 */
 
//Récupération des infos en POST
// on traite les infos sécurisées
if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
	foreach($_POST as $key => $value) {
		  $_POST[$key] = mysqli_real_escape_string($db,$value);
	};
	extract($_POST);
	// traitement de la connexion	
	if($submit == 'Connexion'){ 
		// le cryptage impose l'extraction et le decryptage de tous les emails users, le crm n'étant pas prévu pour plus de 10-15 utlisateurs, cela ne devrait pas poser de soucis
		// Pour que la recherche ne soit fait qu'a la connexion, on stocke ensuite les infos cryptées en session
		// on cherche le client dans la bdd
		$sql = "select * from ".$presql."_users";
		$req = mysqli_query($db, $sql);

	  	// on verifie chaque email utlisateur
	  	while ($user = mysqli_fetch_assoc($req)){		
			//decyrptage et vérification du couple email et password
			if((dlw_dec($user['email']) == $email) AND (dlw_dec($user['passwd']) == $pwd)) {
				// on verifie que l'utilisateur est actif
				if($user['droit']!=0) {
					// les prochaines vérification se feront avec les identifiants en session côté serveur
					dlw_session($user['id_user']);
					// si il demande la connexion auto, on crée des coockies
					if (isset($auto)){
						$temps = 365*24*3600;
						setcookie ("email", $user['email'], time() + $temps, "/");
						setcookie ("passwd", $user['passwd'], time() + $temps, "/");
					};
					
					//envoi email sécurité
					if (defined('CONFIG_mail_secu')){
						
						$mail->AddAddress(dlw_dec(CONFIG_mail_secu)); //le destinataire
						$mail->Subject='Connexion réussie'; // le sujet du mail
						$mail->Body .= 'Une connection avec un mot de passe valide a été effectuée sur votre instance Yucca ('.$_SERVER['HTTP_HOST'].') avec le login '.$email.'<br><br>
										<em style="font-size:10px;">Envoyé par <a style="color:'.dlw_dec(CONFIG_coul).';" href="https://yucca-crm.fr">YUCCA</a>, Gestionnaire d\'activité sur-mesure par <a style="color:'.dlw_dec(CONFIG_coul).';" href="https://davelopweb.fr">Davelopweb.fr</a></em>
										';
						$mail->Send();
					}; 					

					// on redirige le client vers la page d'accueil
					header("Location:/");
					exit;
				// utilisateur inactif, on l'exclu avec message d'erreur
				}else{
					$avertform = "inactif";
					$content = "connexion";
				};
			};
		};
		
		// si on ne trouve rien, on affiche le message d'erreur
		$avertform = "emailerr";
		
		//envoi email sécurité
		if (defined('CONFIG_mail_secu')){

			$mail->AddAddress(dlw_dec(CONFIG_mail_secu)); //le destinataire
			$mail->Subject='Alerte tentative de connection'; // le sujet du mail
			$mail->Body .= 'Une tentative de connection avec un mot de passe invalide a été effectuée sur votre instance Yucca ('.$_SERVER['HTTP_HOST'].') avec le login '.$email.'<br><br>
							<em style="font-size:10px;">Envoyé par <a style="color:'.dlw_dec(CONFIG_coul).';" href="https://yucca-crm.fr">YUCCA</a>, Gestionnaire d\'activité sur-mesure par <a style="color:'.dlw_dec(CONFIG_coul).';" href="https://davelopweb.fr">Davelopweb.fr</a></em>
							';
			$mail->Send();
		};

	//traitement du mot de passe oublié
	}else if($submit == 'Envoyer'){
		// si l'email est enregistré, on envoi le mail de modif
		$user=dlw_verif_user($emailoublie);
		if ($user){

			$mail->AddAddress($emailoublie); //le destinataire
			$mail->Subject='(Ré)Initialisation de votre mot de passe'; // le sujet du mail
			$mail->Body .= 'Vous avez oublié votre mot de passe YUCCA ou c\'est votre première connexion ? <a href="https://'.$_SERVER['HTTP_HOST'].'?ac=md&k1='.md5($user['email']).'&k2='.md5($user['passwd']).'">Cliquez ici</a><br>
							Merci<br><br>
							<em style="font-size:10px;">Envoyé par <a style="color:'.dlw_dec(CONFIG_coul).';" href="https://yucca-crm.fr">YUCCA</a>, Gestionnaire d\'activité sur-mesure par <a style="color:'.dlw_dec(CONFIG_coul).';" href="https://davelopweb.fr">Davelopweb.fr</a></em>
							';

			$reponse = "emailok";	
			//On envoi le mail
			if($mail->Send())
			{
				$ok = $reponse;
			}
			else
			{
				$nok = $mail->ErrorInfo;
			};
			
			
		}else{
			$ok = "emailerr";
		};
		
	// changement de mot de passe	
	}else if($submit == 'Enregistrer'){	
		$user=dlw_verif_user($_GET['k1']);
		if($user AND (isset($_GET['k2']) OR empty($user['passwd']))){
			//vérification des champs identiques
			if ($newmdp1 == $newmdp2){
				// on update le mot de passe, s'il n'est pas vide
				if (!empty($newmdp1)){
					mysqli_query($db, "UPDATE ".$presql."_users SET passwd ='".dlw_enc($newmdp1)."' WHERE email = '".$user['email']."'");
					$_GET['ac']="";
					$avertform = "emailok";
				}else{
					$avertform = "mdpvide";
				};
			}else{
				// les mots de passe sont différents
					$avertform = "mdperr";
			};
		}else{$_GET['ac']="fg";$ok = "donnerr";};

	}
//verification du lien de changement de mot de passe
}else if(isset($_GET['k2'])){
	$user=dlw_verif_user($_GET['k1']);
	if($user AND (dlw_dec($_GET['k2']) !== dlw_dec($user['passwd']) OR empty($user['passwd']))){}else{$_GET['ac']="fg";$ok = "donnerr";};
};?>



<!DOCTYPE html>
<html>
	<head>
        <meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/>
		<meta name="robots" content="noindex, nofollow, noarchive" />
		<title>Connexion - YUCCA</title>
		<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,400i,600&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="//code.jquery.com/ui/1.13.0/themes/base/jquery-ui.css">
		<link rel="icon" type="image/png" href="/img/logo-fav.png" />
		<script src="https://code.jquery.com/jquery-3.6.0.js"></script>
		<script src="https://kit.fontawesome.com/330d4ee973.js" crossorigin="anonymous"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		<script type="text/javascript" src="/jquery/script.js"></script>		
	</head>
	<body>
		<style type="text/css">
             <?php include('style/style.php')?>
         </style>
         <div class="container divconnexion">
			<div class="row">
				<div class="col12">
					<div class="row private">
						<div class="col4"></div>
						<div class="col4 center">
							<a href="https://yucca-crm.fr">
								<svg version="1.1" id="homeyucca" viewBox="0 0 149.06 138.3" >
								 <defs>
								  <linearGradient id="linearGradient950" x1="-1289.4" x2="-1189.5" y1="143.4" y2="143.4" gradientUnits="userSpaceOnUse" xlink:href="#linearGradient1054"/>
								  <linearGradient id="linearGradient1054">
								   <stop id="firstcolor" offset="0"/>
								   <stop id="lastcolor" offset="1"/>
								  </linearGradient>
								  <linearGradient id="linearGradient952" x1="-1325.8" x2="-1171.8" y1="198.35" y2="92.281" gradientTransform="translate(378.96 -140.86)" gradientUnits="userSpaceOnUse" xlink:href="#linearGradient1054"/>
								 </defs>
								 <g transform="translate(42.782 -62.388)">
								  <g transform="matrix(1.4917 0 0 1.4917 1315.4 127.75)" fill="url(#linearGradient950)">
								   <path d="m-886.95-43.814c-6.8656-0.06548-12.785 1.265-14.572 2.3559 0 0 7.1562 0.71875 10.61 4.0085 4.6723 4.4501 2.2759 6.6902 6.6802 14.972 6.0599 11.394 18.157 4.4399 19.491 3.7331-1.8287-5.678-6.7279-11.004-12.182-16.268 1.3881 0.69815 9.071 5.8122 13.912 14.54 0.83355 1.5028 8.1236 12.482 2.4985 24.131-4.8707 1.8897 12.984 1.9534 7.4166 0-1.3895-4.9747-2.7932-16.884-0.26305-22.223 2.9137 0.83377 6.5632 0.02266 8.3065-1.7513 3.2234-3.2826 2.1706-8.0143 2.2407-12.496 0.0675-4.3183 3.5367-6.6415 3.5367-6.6415-6.2004 1.8351-16.057 2.8172-18.117 13.439-0.7145 3.6851 0.66908 5.8862 2.7812 6.9634-0.54334 1.9161-1.065 3.7678-1.6133 9.4372-0.93438-4.1534-2.7525-7.8688-5.7273-12.251 1.855-3.9537 0.77507-13.691-8.7617-18.492-4.9851-2.5098-10.897-3.4052-16.237-3.4561zm29.828 56.013c-2.2111 0-4.1539 0.48996-5.8281 1.4692-1.6636 0.96868-2.9425 2.3478-3.8375 4.1377-0.88442 1.7899-1.327 3.8589-1.327 6.2069 0 3.7589 0.93205 6.6861 2.7957 8.7814 1.8636 2.0953 4.417 3.143 7.66 3.143 2.2848 0 4.1902-0.26865 5.717-0.80564v-1.4211c-1.6215 0.49487-3.4008 0.74207-5.3382 0.74207-2.9166 0-5.1589-0.9106-6.7278-2.7321s-2.3533-4.3804-2.3533-7.676c0-3.2219 0.83185-5.7593 2.4954-7.6125 1.6636-1.8531 3.9428-2.7797 6.8383-2.7797 1.8531 0 3.622 0.42116 5.3067 1.2635l0.64749-1.4531c-1.7794-0.84233-3.7955-1.2635-6.0487-1.2635zm20.089 0c-2.2111 0-4.1534 0.48996-5.8276 1.4692-1.6636 0.96868-2.943 2.3478-3.838 4.1377-0.88444 1.7899-1.3265 3.8589-1.3265 6.2069 0 3.7589 0.93205 6.6861 2.7957 8.7814 1.8636 2.0953 4.4165 3.143 7.6595 3.143 2.2848 0 4.1908-0.26865 5.7175-0.80564v-1.4211c-1.6215 0.49487-3.4008 0.74207-5.3382 0.74207-2.9166 0-5.1594-0.9106-6.7283-2.7321-1.5688-1.8215-2.3533-4.3804-2.3533-7.676 0-3.2219 0.83185-5.7593 2.4954-7.6125 1.6636-1.8531 3.9434-2.7797 6.8389-2.7797 1.8531 0 3.622 0.42116 5.3066 1.2635l0.64752-1.4531c-1.7794-0.84233-3.796-1.2635-6.0492-1.2635zm16.347 0.23719-9.2868 23.185h1.7849l3.2215-8.1499h9.3813l3.2065 8.1499h1.8159l-9.0971-23.185zm-89.803 0.09457 7.7231 14.293v8.7974h1.6583v-8.9235l7.6916-14.167h-1.7374l-6.7598 12.635-6.7277-12.635zm20.074 0v14.878c0 2.6849 0.7476 4.7803 2.2427 6.2859 1.5057 1.4951 3.5955 2.2428 6.2699 2.2428 2.7481 0 4.8908-0.74762 6.428-2.2428 1.5373-1.4951 2.3058-3.5695 2.3058-6.2229v-14.941h-1.6107v15.099c0 2.1585-0.60557 3.8486-1.8164 5.07-1.2108 1.2108-2.9164 1.8159-5.117 1.8159-2.2532 0-3.9957-0.61553-5.2276-1.8474-1.2319-1.2424-1.848-2.9749-1.848-5.1966v-14.941zm70.203 2.4479c0.36854 1.1582 0.68401 2.0638 0.94724 2.7166l3.143 8.3235h-8.26l3.2375-8.292c0.33692-0.82127 0.64797-1.7374 0.93223-2.7482zm-57.537 27.705c-0.57817 0-1.0857 0.12792-1.5234 0.38396-0.435 0.25329-0.76954 0.61407-1.0036 1.0821-0.23124 0.46803-0.34726 1.0087-0.34726 1.6226 0 0.98287 0.24392 1.7481 0.73123 2.296 0.48731 0.54787 1.155 0.82217 2.003 0.82217 0.59743 0 1.0958-0.07043 1.495-0.21084v-0.37155c-0.42399 0.1294-0.88971 0.1943-1.3963 0.1943-0.76264 0-1.3489-0.2384-1.7591-0.71468-0.41021-0.47629-0.61548-1.1454-0.61548-2.0071 0-0.84246 0.2177-1.506 0.65268-1.9906 0.435-0.48455 1.0309-0.72657 1.788-0.72657 0.48453 0 0.947 0.10996 1.3875 0.33021l0.1695-0.37982c-0.46527-0.22025-0.99264-0.33021-1.5818-0.33021zm2.7011 0.0863v6.0379h0.42116v-2.6308h1.4991l1.557 2.6308h0.50385l-1.6397-2.7502c0.435-0.12114 0.75848-0.32086 0.97049-0.59893 0.21474-0.27806 0.32195-0.61952 0.32195-1.0242 0-0.55613-0.17902-0.97164-0.53692-1.247-0.35793-0.27807-0.91101-0.41755-1.6599-0.41755zm5.0255 0v6.0379h0.40516v-4.5263c0-0.3579-0.0111-0.70764-0.0331-1.049h0.0331l2.2505 5.5754h0.26821l2.2593-5.5671h0.0331c-0.033 0.34139-0.0496 0.67179-0.0496 0.99115v4.576h0.42529v-6.0379h-0.63613l-2.1389 5.3108h-0.0248l-2.1394-5.3108zm9.4945 0v6.0379h3.2995v-0.39636h-2.8784v-5.6415zm4.3403 0v6.0379h0.42117v-6.0379zm2.1306 0v6.0379h1.85c0.67728 0 1.2005-0.15001 1.5694-0.4501 0.36891-0.30009 0.55343-0.72854 0.55343-1.2847 0-0.41572-0.11409-0.7387-0.34261-0.96996-0.22574-0.23402-0.57962-0.3873-1.0614-0.45889v-0.02429c0.41021-0.06608 0.72128-0.21522 0.93329-0.44648 0.21474-0.23402 0.32195-0.52575 0.32195-0.8754 0-0.51208-0.17489-0.89444-0.52454-1.1477-0.34964-0.25328-0.8972-0.38034-1.6433-0.38034zm5.3025 0v6.0379h0.42116v-2.6308h1.4992l1.557 2.6308h0.50385l-1.6397-2.7502c0.43501-0.12114 0.75851-0.32086 0.9705-0.59893 0.21473-0.27806 0.32247-0.61952 0.32247-1.0242 0-0.55613-0.17902-0.97164-0.53692-1.247-0.3579-0.27807-0.91151-0.41755-1.6604-0.41755zm5.026 0v6.0379h3.2995v-0.38809h-2.8784v-2.5895h2.7172v-0.38809h-2.7172v-2.2836h2.8784v-0.38861zm-9.9074 0.37207h1.2185c0.57538 0 1.0075 0.09063 1.2966 0.27234 0.29183 0.1817 0.4377 0.47344 0.4377 0.8754 0 0.40196-0.1293 0.69784-0.38809 0.8878-0.25604 0.18721-0.66741 0.28112-1.2346 0.28112h-1.3302zm-20.991 0.0083h0.99941c0.62222 0 1.0709 0.10444 1.3462 0.31368 0.27533 0.20924 0.41291 0.54378 0.41291 1.0036 0 0.44325-0.14036 0.77918-0.42116 1.0077-0.28083 0.22576-0.67561 0.33848-1.1849 0.33848h-1.1524zm26.293 0h0.99944c0.62219 0 1.0714 0.10444 1.3467 0.31368 0.27533 0.20924 0.41291 0.54378 0.41291 1.0036 0 0.44325-0.14036 0.77918-0.42116 1.0077-0.28083 0.22576-0.67614 0.33848-1.1855 0.33848h-1.1524zm-5.3025 2.6799h1.3302c1.1783 0 1.7673 0.41413 1.7673 1.2428 0 0.90853-0.55914 1.3632-1.6769 1.3632h-1.4206z" fill="url(#linearGradient952)" stroke-width="2.6954"/>
								  </g>
								 </g>
								</svg>
							</a>
							<?php
							if(!isset($_GET['ac'])){$_GET['ac']="";};
							
							switch ($_GET['ac']) {
								default :?>
									<form action="/" method="post">
											<div class="divinput"><input type="email" name="email" required="required" placeholder="Email"/></div>
											<div class="divinput"><input type="password" name="pwd" required="required" placeholder="Mot de Passe"/></div>
											<div class="divinput"><input type="submit" name="submit" value="Connexion" class="bouton couleur2"></div>
											<div class="divinput">
												<label class='switch'>
													<input type="checkbox" name="auto" checked> 
													<span class='slider round border-left'></span>
												</label>
												<span class='border-right checked'>Connexion automatique</span>
											</div>
										<?php if (isset($avertform)) : switch ($avertform) {
											case "emailerr":?>
											<br><div class="comess">E-mail ou mot de passe invalide</div>
											<?php break;
											case "emailok":?>
											<br><div class="comess">Mot de passe modifié, veuillez vous connecter</div>
											<?php break;
											case "deco":?>
											<br><div class="comess">Vous êtes déconnecté(e)</div>
											<?php break;
											case "droit":?>
											<br><div class="comess">Droits modifiés, veuillez vous reconnecter</div>				
											<?php break;
											case "inactif":?>
											<br><div class="comess">Compte inactif, veuillez contacter un administrateur</div>
											<?php break;									
															
										}endif;;?>	
									</form>
										<br><a class="fontcouleur1" href="/?ac=fg">Mot de passe oublié ?</a><br>
								<?php 
								break;

								case "fg":
								?>
									<form action="/?ac=fg" method="post">
										<h2>Mot de passe oublié ?</h2><p>Veuillez indiquer votre email</p><br>
										<div class="divinput"><input type="email" name="emailoublie" required="required" placeholder="Email"/></div>
										<div class="divinput"><input type="submit" name="submit" value="Envoyer" class="bouton couleur2"></div>
										<?php if (isset($ok)) : switch ($ok) {
											case "emailerr":?>
											<br><div class="comess">Erreur - Email inconnu</div>
											<?php break;
											case "emailok":?>
											<br><div class="comess">Veuillez cliquez sur le lien reçu par Email.</div>
											<?php break;					
											case "donnerr":?>
											<br><div class="comess">
											Lien expiré, veuillez recommencer pour recevoir les instructions à jour</div>
											<?php break;
										}endif;;?>
									</form>
										<br><a class="fontcouleur1" href="/">Annuler</a><br>
								<?php 
								break;

								case "md":
								?>
									<form action="/?ac=md&k1=<?php  echo $_GET['k1']?>&k2=<?php  echo $_GET['k2']?>" method="post">
										<h2>Bonjour <?php echo dlw_dec($user['firstname']).' '.dlw_dec($user['name']);?></h2><p>Veuillez changer votre mot de passe</p>
										<div class="divinput"><input type="password" name="newmdp1"  required="required" placeholder="Mot de passe"/></div>
										<div class="divinput"><input type="password" name="newmdp2"  required="required" placeholder="Vérification"/></div>
										<div class="divinput"><input type="submit"  name="submit" value="Enregistrer" class="bouton couleur2"></div>
										<?php if (isset($avertform)) : switch ($avertform) {
											case "mdperr":?>
											<br><div class="comess">Mots de passe différents</div>
											<?php break;
											case "mdpvide":?>
											<br><div class="comess">Un  mot de passe est obligatoire</div>
											<?php break;				
											
											
										}endif;;?>
									</form>
									<br><a class="fontcouleur1" href="/">Annuler</a><br>		
								<?php 
								break;
							};
						?>
						</div>
						<div class="col4"></div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>	
