<div class="row">
	<div class="col6">			
		<h3>Informations Documents PDF</h3>
		<div class="divinput">
			<label class="icon border-left" title="Modèles de document pdf"><i class="fas fa-file-pdf"></i></label>
			<select name="modele_doc">
				<?php $pages=scandir(realpath(__DIR__)."/modeles/");
					$pages = array_slice($pages, 2);
					foreach($pages as $fichier) {
						$thisdoc=str_replace(".php", "", $fichier);
						echo  "<option value='".$thisdoc."' ";
						
						//récupération du modèle préenregistré en paramètres
						$modele_doc="";
						if (defined('CONFIG_modele_doc')){ $modele_doc = dlw_dec(CONFIG_modele_doc);}
							
						if(
					
							( ($_SERVER['REQUEST_METHOD'] !== 'POST') 
								AND ($modele_doc==$thisdoc) )
							OR
							( isset($_POST['modele_doc'])
							AND ($_POST['modele_doc']==$thisdoc) )
							
						){echo "selected";};

							
						echo  ">Modèle ".str_replace(".php", "", $thisdoc)."</option>";

				};?>
			</select>		
		</div>		
							
		<div class="divinput"><label class="icon border-left" title="Dossier de stockage des documents PDF sur le cloud"><i class="fas fa-folder"></i></label><input type="text" name="dossier_cloud_doc" value="<?php
		if (defined('CONFIG_dossier_cloud_doc') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_dossier_cloud_doc));
		}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($dossier_cloud_doc);}
		?>" placeholder="Dossier de stockage des documents PDF sur le cloud ex:/Documents/Compta/"/></div>	

		<div class="divinput"><label class="icon border-left" title="Délai d'éxécution des devis"><i class="fas fa-history"></i></label><input type="text" name="delai_devis" value="<?php
		if (defined('CONFIG_delai_devis') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_delai_devis));
		}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($delai_devis);}
		?>" placeholder="Délai d'éxécution des devis, séparés par une virgule *"></div>
					
	</div>
	
	<div class="col6">
		<div class="aide bouton"><span>Les documents sont numérotés sous la forme F ou D suivant le type de document, suivit de l'année en cours et d'un numéro d'incrémentation automatique, Ex : F2021-0020. Les numéros sont réinitialisés chaque année.</span></div>

		<h3>Numéro de facture</h3>
		<div class="divinput">
			<label class="icon border-left" title="Premier numéro annuel des factures"><strong>F</strong></label><input type="text" name="firstnum_facture" value="<?php
				if (defined('CONFIG_firstnum_facture') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_firstnum_facture));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($firstnum_facture);}
				?>" placeholder="Premier numéro annuel des factures">
		</div>
		
		<h3>Numéro de devis</h3>
		<div class="divinput">
			<label class="icon border-left" title="Premier numéro annuel des devis"><strong>D</strong></label><input type="text" name="firstnum_devis" value="<?php
				if (defined('CONFIG_firstnum_devis') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_firstnum_devis));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($firstnum_devis);}
				?>" placeholder="Premier numéro annuel des devis">
		</div>	
		<h3>Relevé d'identité bancaire</h3>
		<div class="divinput">
			<label class="icon border-left" title="IBAN"><i class="fas fa-money-check-alt"></i></label><input type="text" name="iban" value="<?php
				if (defined('CONFIG_iban') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_iban));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($iban);}
				?>" placeholder="IBAN">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="BIC" ><i class="fas fa-money-check-alt"></i></label><input type="text" name="bic" value="<?php
				if (defined('CONFIG_bic') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_bic));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($bic);}
				?>" placeholder="BIC">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Code Banque" ><i class="fas fa-money-check-alt"></i></label><input type="text" name="codebanque" value="<?php
				if (defined('CONFIG_codebanque') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_codebanque));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($codebanque);}
				?>" placeholder="Code banque">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Code agence"><i class="fas fa-money-check-alt"></i></label><input type="text" name="codeagence" value="<?php
				if (defined('CONFIG_codeagence') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_codeagence));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($codeagence);}
				?>" placeholder="Code agence">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Numero de compte"><i class="fas fa-money-check-alt"></i></label><input type="text" name="numerocompte" value="<?php
				if (defined('CONFIG_numerocompte') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_numerocompte));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($numerocompte);}
				?>" placeholder="Numéro de compte">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Clé RIB"><i class="fas fa-money-check-alt"></i></label><input type="text" name="clerib" value="<?php
				if (defined('CONFIG_clerib') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_clerib));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($clerib);}
				?>" placeholder="Clé RIB">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Agence de domiciliation"><i class="fas fa-money-check-alt"></i></label><input type="text" name="domiciliation" value="<?php
				if (defined('CONFIG_domiciliation') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_domiciliation));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($domiciliation);}
				?>" placeholder="Agence de domiciliation">
		</div>	
	</div>

			
	<div class="col12">
		<h3>Mentions bas de page</h3>				
		<div class="divinput">
			<label class="icon border-left" title="Période de validité du devis"><i class="fas fa-balance-scale"></i></label><input type="text" name="val_devis" value="<?php
				if (defined('CONFIG_val_devis') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_val_devis));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($val_devis);}
				?>" placeholder="Validité du devis *">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Mentions légales"><i class="fas fa-balance-scale"></i></label><input type="text" name="mentions_devis" value="<?php
				if (defined('CONFIG_mentions_devis') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_mentions_devis));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($mentions_devis);}
				?>" placeholder="Mentions légales *">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Pied de page ligne 1"><i class="fas fa-balance-scale"></i></label><input type="text" name="footer1" value="<?php
				if (defined('CONFIG_footer1') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_footer1));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($footer1);}
				?>" placeholder="Pied de page ligne 1 (couleur)">
		</div>
		<div class="divinput">
			<label class="icon border-left" title="Pied de page ligne 2"><i class="fas fa-balance-scale"></i></label><input type="text" name="footer2" value="<?php
				if (defined('CONFIG_footer2') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_footer2));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($footer2);}
				?>" placeholder="Pied de page ligne 2">
		</div>
		<div class="divinput" title="Pied de page ligne 3">
			<label class="icon border-left"><i class="fas fa-balance-scale"></i></label><input type="text" name="footer3" value="<?php
				if (defined('CONFIG_footer3') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_footer3));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($footer3);}
				?>" placeholder="Pied de page ligne 3">
		</div>		
	</div>	
</div>
