<?php 
/*
 * Page config
 * 
 */

// Sélection de la page config à traiter
switch ($_GET['demande']) {
	case "parametres" :
		// Ajouter des inputs dans les modules, fichier param.php, ils seront traités automatiquement dans le script. Récupération des constantes avec CONFIG_nameinput
		?>
		<div class="row">
			<div class="col12">
				<div class="aide bouton"><span>Configuration des paramètres généraux et des modules, les champs indiqués par une étoile sont obligatoires.</span></div>
				<h1>Paramètres</h1>
				<hr>
			</div>
		</div>
		<?php  //paramètres des modules actifs
				$sqlmod = "select * from ".$presql."_modules order by ordre";
				$reqmod = mysqli_query($db, $sqlmod);
				
				if (($_SERVER['REQUEST_METHOD'] == 'POST' and ($ongletactif == "parametres")) OR ($_SERVER['REQUEST_METHOD'] !== 'POST')){$thisonglet='clickedbouton';}else{$thisonglet='';};
				$menu = '<a class="bouton ongletmodule '.$thisonglet.'" id="parametres" href="#">Préférences</a>';
				
				while ($modverif = mysqli_fetch_assoc($reqmod)){
						$verif_droit_page=explode(";",$modverif['acces']);
						$verif_droit_user=explode(";",$_SESSION['ids_group']);
						foreach($verif_droit_page as $val){
							if(in_array($val, $verif_droit_user)){
							// inclusion de la config spécifique à la page demandée avant tout envoi de html, gestion de POST et PDF
								if(file_exists( ABSPATH ."/modules/".$modverif['dossier']."/param_admin.php")){
									
									if ($_SERVER['REQUEST_METHOD'] == 'POST' and ($ongletactif == $modverif['dossier'])){$thisonglet='clickedbouton';}else{$thisonglet='';};

									$menu .= ' <a class="bouton ongletmodule '.$thisonglet.'" id='.$modverif['dossier'].' href="#">'.ucfirst($droitmod[$modverif['dossier'].'_titre']).'</a>';
								};
							};
						}
				};
				 echo '<div id="menuparam">'.$menu.'</div>';
			?>
		<h2>Paramètres utilisateur</h2>
		<div class="row">
			<div class="col12">
				<form  enctype="multipart/form-data" action="<?php  echo $_SERVER['REQUEST_URI']; ?>" method="post" id="paramform">
		<div class="row ongletdiv parametres <?php if (($_SERVER['REQUEST_METHOD'] == 'POST' and ($ongletactif == "parametres")) OR ($_SERVER['REQUEST_METHOD'] !== 'POST')){echo 'thismodule';};?>">
			<div class="col6">
				<h3>Informations Utilisateur</h3>
				<div class="divinput"><label class="icon border-left" title="Prénom"><i class="fas fa-user"></i></label><input type="text" name="prenom"  required="required" value="<?php echo dlw_dec($_SESSION['firstname']);?>" placeholder="Indiquez votre prénom *"></div>
				<div class="divinput"> <label class="icon border-left" title="Nom"><i class="fas fa-user"></i></label><input type="text" name="nom"  required="required" value="<?php echo dlw_dec($_SESSION['name']);?>" placeholder="Indiquez votre nom *"></div>
				<div class="divinput"> <label class="icon border-left" title="Email"><i class="fas fa-envelope"></i></label><input type="email" name="newemail" required="required" value="<?php echo dlw_dec($_SESSION['email']);?>" placeholder="Indiquez votre adresse email *"></div>
				<div class="divinput"> <label class="icon border-left" title="Téléphone"><i class="fas fa-phone"></i></label><input type="text" name="phone" value="<?php echo dlw_dec($_SESSION['telephone']);?>" placeholder="Indiquez votre numéro de téléphone"></div>				
				<div class="divinput"><label class="icon border-left" title="Nouveau mot de passe"><i class="fas fa-unlock-alt"></i></label><input type="password" name="password"  autocomplete="new-password" value="" placeholder="Nouveau mot de passe utilisateur ou laissez vide"></div>
				<div class="divinput"><label class="icon border-left" title="Vérification du mot de passe"><i class="fas fa-unlock-alt"></i></label><input type="password" name="password_confirm" value="" placeholder="Confirmez ou laissez vide"></div>
			</div>
			<div class="col6">
				<div class="aide bouton"><span>Choisissez la couleur dominante pour votre instance Yucca. Dans l'idéal prenez une couleur ayant un bon contraste avec le blanc.</span></div>
				<h3>Graphisme</h3>
					<div class="divinput"><label class="icon border-left" title="Couleur utilisateur"><i class="fas fa-palette"></i></label><input class="border-right" type="color" name="userCoul" value="<?php
					if ( !empty( $_SESSION['couleur'] ) ) { echo $_SESSION['couleur'] ;
					}else{ echo "#64e058"; };
					?>"></div>
					<div class="divinput">
						<label class='switch'>
							<input type='checkbox' name='roundStyle' <?php echo $_SESSION['style'];?>>
							<span class='slider round border-left'></span>
						</label>
						<span class='border-right <?php echo $_SESSION['style'];?>'>Bordures arrondies</span><input type='hidden' name='roundStyle_hidden' value='1'>
					</div>
					<div class="divinput">
						<label class='switch'>
							<input type='checkbox' name='darkStyle' <?php echo $_SESSION['theme'];?>>
							<span class='slider round border-left'></span>
						</label>
						<span class='border-right <?php echo $_SESSION['theme'];?>'>Thème sombre (confort visuel)</span><input type='hidden' name='darkStyle_hidden' value='1'>
					</div>		
			</div>			
				
			
		<?php if($_SESSION['droit']==10){?>
			<hr>
			<div class="col12">
				<h2>Paramètres généraux (administrateur uniquement)</h2><br>			
			</div>
			<div class="col6">
				<div class="aide bouton"><span>Indiquez l'adresse email qui recevra les alertes de sécurités.</span></div>
				<h3>Sécurité</h3>	
				<div class="divinput"><label class="icon border-left" title="Email de réception des notifications de sécurité"><i class="fas fa-envelope"></i></label><input type="text" name="mail_secu" value="<?php
				if (defined('CONFIG_mail_secu') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo dlw_dec(CONFIG_mail_secu);
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo $mail_secu;}
				?>" placeholder="Email de réception des alertes de sécurité"></div>				
			</div>			
			
			<div class="col6">
				<div class="aide bouton"><span>Activez si vous souhaitez utiliser le service cron de votre hébergeur avec le lien indiqué, sinon l'appel sera fait à l'ouverture de session.</span></div>
				<h3>Cron hébergeur</h3>	
				<div class="divinput">
					<label class='switch'>
						<input type='checkbox' name='cron' <?php if ( ( defined('CONFIG_cron') AND $_SERVER['REQUEST_METHOD'] !== 'POST') OR isset($_POST['cron']) ) {echo "checked";};?>>
						<span class='slider round border-left'></span>
					</label>
					<span class='border-right <?php if ( ( defined('CONFIG_cron') AND $_SERVER['REQUEST_METHOD'] !== 'POST') OR isset($_POST['cron']) ) {echo "checked";};?>'><?php echo  basename( ABSPATH )."/functions/freeaccess/cron.php";?></span><input type='hidden' name='cron_hidden' value='1'>
				</div>	
			</div>						
			<hr>
			<div class="col6">
				<div class="aide bouton"><span>La connexion avec votre instance Nextcloud est utilisée pour synchroniser vos contacts Yucca dans votre agenda, envoyer vos documents pdf, vos sauvegardes etc...</span></div>

				<h3>Connection Nextcloud</h3>	
				<div class="divinput"><label class="icon border-left" title="Url NEXTCLOUD"><i class="fas fa-cloud"></i></label><input type="text" name="lien_cloud" value="<?php
				if (defined('CONFIG_lien_cloud') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo dlw_dec(CONFIG_lien_cloud);
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo $lien_cloud;}
				?>" placeholder="Nom de domaine Nextcloud sans https://"></div>
				
				<div class="divinput"><label class="icon border-left" title="Login Nextcloud"><i class="fas fa-user"></i></label><input type="text" name="name_cloud" value="<?php
				if (defined('CONFIG_name_cloud') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo dlw_dec(CONFIG_name_cloud);
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo $name_cloud;}
				?>" placeholder="Login Nextcloud"></div>
				
				<div class="divinput"><label class="icon border-left" title="Mot de passe Nextcloud"><i class="fas fa-unlock-alt"></i></label><input type="password" name="password_cloud" value="<?php
				if (defined('CONFIG_password_cloud') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo dlw_dec(CONFIG_password_cloud);
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo $password_cloud;}
				?>" placeholder="Mot de passe Nextcloud"></div>
				
				<div class="divinput"><label class="icon border-left" title="Dossier sauvegardes Nextcloud"><i class="fas fa-folder"></i></label><input type="text" name="folder_cloud" value="<?php
				if (defined('CONFIG_folder_cloud') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo dlw_dec(CONFIG_folder_cloud);
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo $folder_cloud;}
				?>" placeholder="Dossier de destination des sauvegardes ex:/Documents/Sauvegardes/"></div>
			</div>
			<br>
			<div class="col6">
				<div class="aide bouton"><span>Indiquez l'url de votre site Wordpress pour sécuriser les échanges de données cryptées avec Yucca. Votre clé de cryptage est à indiquer dans votre module Wordpress. Un lien vers l'administration de votre site est ajouté dans le menu principal de Yucca.</span></div>
				<h3>Connection Wordpress</h3>	
				<div class="divinput"><label class="icon border-left" title="Url WORDPRESS"><i class="fab fa-wordpress-simple"></i></label><input type="text" name="lien_wp" value="<?php
				if (defined('CONFIG_lien_wp') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo dlw_dec(CONFIG_lien_wp);
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo $lien_wp;}
				?>" placeholder="Nom de domaine Wordpress sans https://"></div>
				<div class="divinput"><label class="icon border-left"><i class="fas fa-key"></i></label><span class="fakeinput border-right"><?php echo CONFIG_key;?></span></div>
			</div>				
			
			<hr>		
			<div class="col6">
				
				<div class="aide bouton"><span>Veuillez compléter les informations necessaires pour votre correspondance à partir de Yucca : e-mail d'envoi réception, raison sociale, adresse et téléphone. Utilisées pour la signature et les modules necessitant ces informations.</span></div>
			
				<h3>Correspondance</h3>	
				<div class="divinput"><label class="icon border-left" title="E-mail envoi/copie des mails"><i class="fas fa-envelope"></i></label><input type="text" name="emailrep" value="<?php
				if (defined('CONFIG_emailrep') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo dlw_dec(CONFIG_emailrep);
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo $emailrep;}else{echo 'nepasrepondre@'.str_replace("www.", "", $_SERVER['HTTP_HOST']);}
				?>" placeholder="Email de réponse / envoi document *"></div>
									
				<div class="divinput"><label class="icon border-left" title="Raison social utilisée dans la signature et les PDF"><i class="fas fa-building"></i></label><input type="text" name="title" value="<?php
				if (defined('CONFIG_title') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_title));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($title);}
				?>" placeholder="Raison sociale"/></div>
						
				<div class="divinput"><label class="icon border-left" title="Adresse complète utilisée dans la signature et les PDF"><i class="fas fa-map-marker-alt"></i></label><input type="text" name="adresse" value="<?php
				if (defined('CONFIG_adresse') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_adresse));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($adresse);}
				?>" placeholder="Adresse complète"/></div>
				
				<div class="divinput"><label class="icon border-left" title="Téléphone"><i class="fas fa-map-marker-alt"></i></label><input type="text" name="telephone" value="<?php
				if (defined('CONFIG_telephone') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_telephone));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($telephone);}
				?>" placeholder="Téléphone"/></div>							
			</div>
			<div class="col6">
				<div class="aide bouton"><span>Logo et couleur par défaut pour la signature automatique et les documents générés.</span></div>
				<h3>Identité</h3>
				<div class="divinput"><label class="icon border-left" title="Couleur par defaut"><i class="fas fa-palette"></i></label><input type="color" name="coul" value="<?php
				if (defined('CONFIG_coul') AND (!isset($coul))){echo dlw_dec(CONFIG_coul);
				}else if (isset($coul)){echo $coul;
				}else{echo "#64e058";}
				?>"></div>
				<div class="divinput divimg">
					<img class="imgupload logopro" src="/img/<?php echo get_logo('');?>" title="Logo document">
					<label for="logopro" class="bouton editer"></label>
					<input type="file" id="logopro"  name="logopro" accept="image/png">										
				</div>			
			</div>
			<hr>
			<div class="col6">
				<div class="aide bouton"><span>Activez si vous souhaitez utiliser un service SMTP externe à votre hébergeur.</span></div>
				<h3>SMTP</h3>
				<div class="divinput">
					<label class='switch'>
						<input type='checkbox' name='smtp' <?php if ( ( defined('CONFIG_smtp') AND $_SERVER['REQUEST_METHOD'] !== 'POST') OR isset($_POST['smtp']) ) {echo "checked";};?>>
						<span class='slider round border-left'></span>
					</label>
					<span class='border-right <?php if ( ( defined('CONFIG_smtp') AND $_SERVER['REQUEST_METHOD'] !== 'POST') OR isset($_POST['smtp']) ) {echo "checked";};?>'>SMTP Externe (adresse de correspondance comme login)</span><input type='hidden' name='smtp_hidden' value='1'>
				</div>
				<div class="divinput"><label class="icon border-left" title="Mot de passe SMTP"><i class="fas fa-unlock-alt"></i></label><input type="password" name="pass_smtp" value="<?php
				if (defined('CONFIG_pass_smtp') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_pass_smtp));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($pass_smtp);}
				?>" placeholder="Mot de passe SMTP"/></div>				
				<div class="divinput"><label class="icon border-left" title="Hote SMTP"><i class="fas fa-map-marker-alt"></i></label><input type="text" name="host_smtp" value="<?php
				if (defined('CONFIG_host_smtp') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_host_smtp));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($host_smtp);}
				?>" placeholder="Hôte SMTP"/></div>					
				<div class="divinput"><label class="icon border-left" title="Prot SMTP"><i class="fas fa-map-marker-alt"></i></label><input type="text" name="port_smtp" value="<?php
				if (defined('CONFIG_port_smtp') AND $_SERVER['REQUEST_METHOD'] !== 'POST'){echo stripslashes(dlw_dec(CONFIG_port_smtp));
				}else if ($_SERVER['REQUEST_METHOD'] == 'POST'){echo stripslashes($port_smtp);}
				?>" placeholder="Port SMTP"/></div>								
					
			</div>	
			<?php };?>
		</div>
			<?php if($_SESSION['droit']==10){
				//paramètres des modules actifs
						$sqlmod = "select * from ".$presql."_modules";
						$reqmod = mysqli_query($db, $sqlmod);
						while ($modverif = mysqli_fetch_assoc($reqmod)){
								$verif_droit_page=explode(";",$modverif['acces']);
								$verif_droit_user=explode(";",$_SESSION['ids_group']);
								foreach($verif_droit_page as $val){
									if(in_array($val, $verif_droit_user)){
									// inclusion de la config spécifique à la page demandée avant tout envoi de html, gestion de POST et PDF
										if(file_exists( ABSPATH ."/modules/".$modverif['dossier']."/param_admin.php")){
												
											if ($_SERVER['REQUEST_METHOD'] == 'POST' and ($ongletactif == $modverif['dossier'])){$thismodule='thismodule';}else{$thismodule='';};
											
											echo '<div class="row '.$modverif['dossier'].' ongletdiv '.$thismodule.'"><div class="col12">';													
											include( ABSPATH ."/modules/".$modverif['dossier']."/param_admin.php");
											echo '</div></div>';
											
										};
									};
								}
						};?>
					</div>
				</div>
			<?php };?>
				<div class="actionbutton">
					<button type="submit" name="submit" form="paramform" class="bouton enregistrer" value="Enregistrer" title="Enregistrer les modifications"></button>
					<button type="submit" name="submit" form="paramform" class="bouton telecharger nowait" value="Sauvegarder" title="Sauvegarder YUCCA"></button>
				</div>						
				<input type="hidden" name="pagepost" value="param_modif" />
				<input type="hidden" name="ongletactif" value="<?php if ($_SERVER['REQUEST_METHOD'] == 'POST' ){echo $ongletactif;}else{echo "parametres";};?>" />
			</form>
		</div>
	</div>
	<?php  break;
	case "modules" :?>
		<div class="row">
			<div class="col12">
				<div class="aide bouton"><span>Installez et contrôlez les accès des différents groupes aux modules.<br>Ajoutez le nom du module pour l'affichage dans le menu et enregistrez.<br>Les droits accès sont associés aux groupes</span></div>
				<h1>Modules</h1>
				<hr>
			</div>
		</div>
		<div class="container couleur1 legende noicon">
				<div class="row">
					<div class="col3">
						<p>MODULE</p>
					</div>			
					<div class="col2">
						<p>NOM AFFICHÉ (singulier)</p>	
					</div>	
					<div class="col1">
						<p>ORDRE</p>	
					</div>					
					<div class="col6">
						<p>DROIT D'ACCÈS</p>
					</div>						
				</div>
			</div>
		<?php // menu
			//recuperation de la liste des modules existant
			$sqlmod = "select * from ".$presql."_modules ORDER BY SUBSTRING_INDEX(dossier, '_', 1),ordre";
		  	$reqmod = mysqli_query($db, $sqlmod);
		  	$mod=array();
			while ($modverif = mysqli_fetch_assoc($reqmod)){
					$mod[]=$modverif['dossier'];
					?>
					<form action="<?php  echo $_SERVER['REQUEST_URI']; ?>" method="post" class="container listing fiche2">
						<div class="row">	
							<div class="col3 border-left">
								<p><?php  echo ucfirst($modverif['dossier']);?></p>
							</div>
							<div class="col2 nopadding">
								<input class="border-none" type="text" name="mod_name" required="required" placeholder="Indiquez un nom au singulier pour une meilleure intégration" value="<?php  echo $modverif['titre'];?>"/>
							</div>
							<div class="col1 nopadding">
								<input class="border-none" type="text" name="mod_ordre" required="required" placeholder="Choisissez l'ordre dans votre menu et tableau de bord" value="<?php  echo $modverif['ordre'];?>"/>
							</div>																					
							<div class="col6 colacces"> 
								<div class="groups_div">
									<p>Accès ></p>
									<div class="groups_check">
										<?php 	$sqlgroup = "select * from ".$presql."_groups ORDER BY groupname";
											$reqgroup = mysqli_query($db, $sqlgroup);
											$exp_group=explode(";",$modverif['acces']);
											while ($datagroup = mysqli_fetch_assoc($reqgroup)) {
												$okgroup=1;
											?>
											<label class="switch mini ">
												<input type="checkbox" name="choix[]" value="<?php echo $datagroup['id_group'];?>"
												<?php  if (in_array($datagroup['id_group'], $exp_group)) { echo "checked"; } ?>
												>
												<span class="slider round"></span>
											</label>
											<span class="<?php  if (in_array($datagroup['id_group'], $exp_group)) { echo "checked"; } ?>" ><?php echo dlw_dec($datagroup['groupname']);?></span><br>
										<?php };
											if(!isset($okgroup))
											{
												echo "Veuillez <a href='/configuration/groupes'>ajouter un groupe</a>";
											};
										?>
									</div>
								</div>	
							</div>
							<button type="submit" name="submit" class="bouton enregistrer border-none" value="Modifier" title="Enregistrer les modifications"></button>
							<button type="submit" name="submit" class="bouton desinstaller border-right" value="Desinstaller" title="Désinstaller et vider la BDD"></button>
						</div>
						<input type="hidden" name="id_mod" value="<?php  echo $modverif['id_mod'];?>" />	   
						<input type="hidden" name="mod_dossier" value="<?php  echo $modverif['dossier'];?>" />	   
					</form>
				<?php 				
			};
			
			echo "<hr><h3>Module(s) installable(s)</h3>";
			
			$pages=scandir( ABSPATH ."/modules/");
			$pages = array_slice($pages, 2);
			foreach($pages as $fichier) {
					if(!in_array($fichier,$mod) AND $fichier!="index.php"){$modexist=1;?>
					<form action="<?php  echo $_SERVER['REQUEST_URI']; ?>" method="post" class="listing container fiche2">
						<div class="row">	
							<div class="col3">
								<p><?php  echo ucfirst($fichier);?></p>
							</div>
							<div class="col9 nopadding colnamemodule">
								<input type="text" name="mod_name" placeholder="nom affiché"/>
							</div>											
							<button type="submit" name="submit" class="bouton installer border-left" value="Installer" title="Installer le module"></button>
							<button type="submit" name="submit" class="bouton supprimer border-right" value="Supprimer" title="Supprimer le module"></button>
						</div>
					<input type="hidden" name="mod_dossier" value="<?php  echo $fichier;?>" />	   
				</form>
					<?php 
				};
			}; 
			if(!isset($modexist)){echo "<p>Aucun module</p>";};       
	 break;
	case "groupes" :?>
		<div class="row">
			<div class="col12">
				<div class="aide bouton"><span>Les groupes utilisateurs sont utilisés pour compartimenter les accès aux modules. Ex : Un utilisateur doit accéder au module contact uniquement, créez un nouveau groupe, <a href="/configuration/utilisateurs">ajoutez y l'utilisateur</a> et autorisez ce groupe depuis <a href="/configuration/modules">la page des modules</a>.</span></div>
				<h1>Groupes</h1>
				<hr>
			</div>
		</div>
		<form action="<?php  echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">
			<div class="row">	
				<div class="col12 avecbouton divinput">
					<label class="icon border-left"><i class="fas fa-users-cog"></i></label><input  type="text" class="border-none" name="group_name" value="" placeholder="Dénomination du nouveau groupe" required><button type="submit" name="submit" class="bouton ajouter border-right" value="Ajouter" title="Ajouter un nouveau groupe"></button>
				</div>		
			</div>
			<input type="hidden" name="pagepost" value="group_modif" />
		</form>
		<div class="container couleur1 legende noicon">
			<div class="row">
				<div class="col4">
					<p>DÉNOMINATION</p>
				</div>
				<div class="col8">
					<p>NOMBRE D'UTILISATEURS</p>
				</div>			
			</div>
		</div>
		<div class="blocklisting">
		<?php 
        $sqlgroup = "select * from ".$presql."_groups ORDER BY groupname";
		$reqgroup = mysqli_query($db, $sqlgroup);
		while ($datagroup = mysqli_fetch_assoc($reqgroup)) {?>
			<form action="<?php  echo $_SERVER['REQUEST_URI']; ?>" method="post" class="listing container fiche2">
				<div class="row">		
						<div class="col4 colgroupname">
							<input class="border-left" type="text" name="group_name" value="<?php  echo dlw_dec($datagroup['groupname']);?>">
						</div>					
						<div class="col8 colgroup">
						<p><?php 
						$sqlcount = "select COUNT(*) as total from ".$presql."_users WHERE ids_group like '%".$datagroup['id_group']."%'";
						$reqcount = mysqli_query($db, $sqlcount);
						$datacount = mysqli_fetch_assoc($reqcount);
						echo $datacount['total'];
						?></p>
						</div>
						<button type="submit" name="submit" class="bouton enregistrer border-none" value="Modifier" title="Enregistrer les modifications"></button>
						<button type="submit" name="submit" class="bouton supprimer border-right" value="Supprimer" title="Supprimer le groupe"></button>
				</div>
				<input type="hidden" name="pagepost" value="group_modif" />
				<input type="hidden" name="id_group" value="<?php  echo $datagroup['id_group']?>" />	   
			</form>
		<?php };?>
		</div>
	<?php  break;
        
    /*
    * Page de gestion des utilisateurs
    *
    *
    *
    */
	case "utilisateurs" :
		// si il n'y a pas de parametres envoyé, on affiche la liste des utilisateurs
		$sql = "select * from ".$presql."_users ORDER BY name";
		$req = mysqli_query($db, $sql);
		?>
		<div class="row">
			<div class="col12">
				<div class="aide bouton"><span>Ajoutez ici les utilisateurs. A la création, ils recevront un email pour se connecter et créer leur mot de passe. Les accès aux modules sont définis par le groupe auquel ils sont rattachés. En cas de besoin, vous pouvez supprimer un contact et le recréer, les données ne sont pas supprimés.</span></div>
				<h1>Utilisateurs</h1>
				<hr>
			</div>
		</div>
		<form class="listing container" action="<?php  echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">
			<div class="row">	
				<div class="col2 nopadding divinput">
					<label class="icon border-left"><i class="fas fa-user"></i></label><input  type="text" name="prenom_user" value="" placeholder="Prénom" required>
				</div>	
				<div class="col2 nopadding divinput">
					<label class="icon border-left"><i class="fas fa-user"></i></label><input type="text" name="nom_user" value="" placeholder="Nom" required>
				</div>
				<div class="col3 nopadding divinput">
					<label class="icon border-left"><i class="fas fa-envelope"></i></label><input type="email" name="email_user" value="" placeholder="Email" required>
				</div>	
				<div class="col5 avecbouton nopadding divinput">				
					<label class="icon border-left"><i class="fas fa-user"></i></label><select name="droit" class="border-none" >
						<option value="10">Administrateur ( Complet )</option>															
						<option value="9">Éditeur ( Complet sauf paramètres )</option>															
						<option value="1" SELECTED>Externe ( Consultation uniquement )</option>
					</select>
					<button type="submit" name="submit" class="bouton ajouter border-right" value="Ajouter" title="Ajouter un nouvel utilisateur"></button>			
				</div>
				
			</div>
			<input type="hidden" name="pagepost" value="user_modif" />
			<input type="hidden" name="droit_user" value="0" />
		</form>
		
		<div class="container couleur1 legende noicon">
			<div class="row">
				<div class="col2">
					<p>PRÉNOM / NOM</p>
				</div>
				<div class="col2">
					<p>Email</p>
				</div>	
				<div class="col3">
					<p>GROUPE</p>
				</div>
				<div class="col5">
					<p>NIVEAU D'ACCES</p>
				</div>				
			</div>
		</div>
		<div class="blocklisting">
		<?php 
		while ($data = mysqli_fetch_assoc($req)) {?>
			<form action="<?php  echo $_SERVER['REQUEST_URI']; ?>" method="post" class="listing container fiche2">
				<div class="row">		
						<div class="col2 border-left">
							<p><?php  echo dlw_dec($data['firstname'])?> <?php  echo dlw_dec($data['name'])?></p>
						</div>	
						<div class="col2">
							<p><?php  echo dlw_dec($data['email'])?></p>
						</div>															
						<div class="col3 nopadding">
									<div class=""><select name="group" >
										<option value="0" <?php  if ($data['ids_group']==0){ echo "selected"; } ?>>Aucun</option>															
										<?php 	$sqlgroup = "select * from ".$presql."_groups ORDER BY groupname";
										$reqgroup = mysqli_query($db, $sqlgroup);
										while ($datagroup = mysqli_fetch_assoc($reqgroup)) {?>
										<option value="<?php echo $datagroup['id_group'];?>"
										<?php  if ($datagroup['id_group']==$data['ids_group']){ echo "selected"; } ?>
										><?php echo dlw_dec($datagroup['groupname']);?></option>
									<?php };?>
									</select></div>														
						</div>
							<?php  if ($data['id_user']!=$_SESSION['id']){?>
								<div class="col5 nopadding  inputdroitutil">
								<div class="divinput"><label class="icon"><i class="fas fa-user"></i></label><select name="droit" class="border-none" >
									<option value="10" <?php  if ($data['droit']==10){ echo "selected";}?>>Administrateur ( Complet )</option>															
									<option value="9" <?php  if ($data['droit']==9){ echo "selected";}?>>Éditeur ( Complet sauf paramètres )</option>															
									<option value="1" <?php  if ($data['droit']==1){ echo "selected";}?>>Externe ( Consultation uniquement )</option>
									<option value="0" <?php  if ($data['droit']==0){ echo "selected";}?>>Désactivé</option>
								</select></div>
								<?php }else{?>
									<div class="col5 <?php  if ($data['id_user']!=$_SESSION['id']){echo "colutilisateur";}else{echo "coladmin";}?>">
									<p>Votre compte administrateur</p>
									<input type="hidden" name="droit" value="10" />	   
								<?php };?>											
						</div>						
                        <button type="submit" name="submit" class="bouton enregistrer <?php  if ($data['id_user']!=$_SESSION['id']){ echo "border-none";}else{echo "border-right";};?>" value="Modifier" title="Enregistrer les modifications"></button>
                        <?php  if ($data['id_user']!=$_SESSION['id']){?>
                        <button type="submit" name="submit" class="bouton supprimer border-right" value="Supprimer" title="Supprimer l'utilisateur"></button>            
                        <?php }?>
				</div>
				<input type="hidden" name="id_user" value="<?php  echo $data['id_user']?>" />	   
			</form>
		<?php };?>
		</div>
	<?php break;

	case "version" :	
	?>
	<div class="row">
		<div class="col12">
			<div class="aide bouton"><span>Développement, licence et libraires tierces</span></div>
			<h1>A Propos</h1>
			<hr>
		</div>
	</div>
	<div class="row">		
		<div class="col12">
			<?php
			include('version.php');
			echo "<h4>BIENVENUE SUR YUCCA ".$version."</h4><br>";?>
			<p>Cette application web est une structure de Gestion d'activité destinée à être personnalisée suivant les besoins des utilisateurs avec l'ajout de modules sur mesure.<br>
			Elle est distribué sous license GNU GLP 3 et développé depuis 2014 par Dave Delalleau (<a href=\"https://davelopweb.fr\">Davelopweb.fr</a>).<br>
			Utilisation conjointe avec les solutions WEB (Wordpress) et Cloud (Nextcloud) privées. </p>
			<h5>Notes de versions</h5>
			<?php echo $notes;?>
			<hr>
			<h3>Librairies tierces</h3>
			<ul>
				<li><a href="https://fontawesome.com/">Font Awesome (icones)</a></li>
				<li><a href="https://github.com/PHPMailer/PHPMailer">PHPMailer (envoi des mails)</a></li>
				<li><a href="http://www.graviox.de/">CARDAVphp (contact nextcloud)</a></li>
				<li><a href="http://www.graviox.de/">FPDF (conversion pdf)</a></li>
				<li><a href="http://www.graviox.de/">Google font (Police générale)</a></li>
				<li><a href="http://www.graviox.de/">JQuery</a></li>
									
			</ul>
		</div>
	</div>	
	<div class="row">			
		<div class="col12">
			<h2>Soutenez le développement de YUCCA</h2>
		</div>	
		<div class="col4">
			<div class="col12 couleur3 center">
				<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top" class="paypalform cinq">
					<h3>Je participe à hauteur de 30€</h3>
					<p>Et je fais une PUB D'ENFER<br>autour de moi<br>et sur mes réseaux sociaux !</p>
					<input type="hidden" value="30" name="amount">
					<input name="currency_code" type="hidden" value="EUR">
					<input name="shipping" type="hidden" value="0.00">
					<input name="tax" type="hidden" value="0.00">
					<input name="return" type="hidden" value="https://saas.yucca-crm.fr/config/soutien?ok=Merci pour votre soutien !">
					<input name="cancel_return" type="hidden" value="https://saas.yucca-crm.fr/config/soutien?nok=Vous avez change d'avis ? pas de soucis !">
					<input name="cmd" type="hidden" value="_xclick">
					<input name="business" type="hidden" value="contact@davelopweb.fr">
					<input name="item_name" type="hidden" value="Participation 30€">
					<input name="no_note" type="hidden" value="1">
					<input name="lc" type="hidden" value="FR">
					<input name="bn" type="hidden" value="PP-BuyNowBF">
					<input type="submit" value="PAYPAL 30€ *" class="bouton couleur2">
				</form>
			</div>	
		</div>								
		<div class="col4 bordercolor1">
			<div class="col12 couleur3 center">
				<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top" class="paypalform cinquante">
					<h3>Je participe à hauteur de 100€</h3>
					<p>Je l'utilise tous les jours<br>c'est vraiment une bonne application,<br>je veux qu'elle se développe.</p>
					<input type="hidden" value="100" name="amount">
					<input name="currency_code" type="hidden" value="EUR">
					<input name="shipping" type="hidden" value="0.00">
					<input name="tax" type="hidden" value="0.00">
					<input name="return" type="hidden" value="https://saas.yucca-crm.fr/config/soutien?ok=Merci pour votre soutien !">
					<input name="cancel_return" type="hidden" value="https://saas.yucca-crm.fr/config/soutien?nok=Vous avez change d'avis ? pas de soucis !">
					<input name="cmd" type="hidden" value="_xclick">
					<input name="business" type="hidden" value="contact@davelopweb.fr">
					<input name="item_name" type="hidden" value="Participation 100€">
					<input name="no_note" type="hidden" value="1">
					<input name="lc" type="hidden" value="FR">
					<input name="bn" type="hidden" value="PP-BuyNowBF">
					<input type="submit" value="PAYPAL 100€ *" class="bouton couleur4">
				</form>
			</div>
		</div>
		<div class="col4 bordercolor1">
			<div class="col12 couleur3 center">
				<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top" class="paypalform libre">
					<h3>je participe librement</h3>							
					<p>J'ai gagné mon premier million grâce à YUCCA</p>
					<input type="text" class="center bordercouleur3" value="" name="amount" placeholder="Indiquez le montant souhaité" required>
					<input name="currency_code" type="hidden" value="EUR">
					<input name="shipping" type="hidden" value="0.00">
					<input name="tax" type="hidden" value="0.00">
					<input name="return" type="hidden" value="https://saas.yucca-crm.fr/config/soutien?ok=Merci pour votre soutien !">
					<input name="cancel_return" type="hidden" value="https://saas.yucca-crm.fr/config/soutien?nok=Vous avez change d'avis ? pas de soucis !">
					<input name="cmd" type="hidden" value="_xclick">
					<input name="business" type="hidden" value="contact@davelopweb.fr">
					<input name="item_name" type="hidden" value="Participation 5€">
					<input name="no_note" type="hidden" value="1">
					<input name="lc" type="hidden" value="FR">
					<input name="bn" type="hidden" value="PP-BuyNowBF">
					<input type="submit" value="PAYPAL LIBRE *" class="bouton couleur5">
				</form>
			</div>
		</div>					
		<div class="col12">
			<p class="petit"><i>*Vous serez redirigé(e) vers Paypal</i></p>
			<hr>
		</div>									
	</div>

	<?php break;

	case "assistance" :	
	?>
	<div class="row">
		<div class="col12">
			<div class="aide bouton"><span>Vous avez besoin d'aide, d'une nouvelle fonction ou vous avez trouvé un bug ? Envoyez un email à l'assistance, votre nom d'utilisateur et l'adresse de votre instance Yucca seront automatiquement indiqués.</span></div>	
			<h1>Assistance</h1>
			<hr>
		</div>
	</div>		
	<form action="<?php echo parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH); ?>" method="post" enctype="multipart/form-data" id="formass">
		<div class="container">
			<div class="row">	
				<div class="col12">
					<textarea rows="10" name="assistance" placeholder="Votre demande"></textarea>
				</div>
				<div class="actionbutton">
					<button type="submit" name="submit" class="bouton mail" value="Envoyer" title="Envoyez votre demande" form="formass"></button>
				</div>			
			</div>
		</div>	
		<input type="hidden" name="pagepost" value="contact_modif" />
		<input type="hidden" name="nouveau" value="nouveau" />
	</form>		
	<?php 
	break;
};?>
