<?php 
/*
 * Page de traitement des données POST de la page config/parametres
 * 
 */
 
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;	
require_once( ABSPATH ."/functions/phpmailer/PHPMailer.php");
require_once( ABSPATH ."/functions/phpmailer/Exception.php");
$mail = new PHPMailer();
$mail->isHTML(true);
$mail->CharSet = "UTF-8";

// extraction et sécurisation POST
if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
	foreach($_POST as $key => $value) {
		if(is_array($_POST[$key])){
		}else{
			$_POST[$key] = mysqli_real_escape_string($db,$value);
		}
	};
};
extract($_POST);

// Sélection de la page config à traiter
switch ($_GET['demande']) {
	case "parametres" :
		if($submit=="Enregistrer"){
			
			//mise à jour du mot de passe et de la clé de cryptage user
			if (!empty($password) AND !empty($password_confirm)){
				
				if ($password == $password_confirm){
					
					$sqluser ="UPDATE ".$presql."_users SET passwd ='".dlw_enc($password)."' WHERE id_user = '".$_SESSION['id']."'";
					mysqli_query($db,$sqluser);	
					
				}else{	
				
					$nok .= "La vérification du mot de passe a échouée ";
					
				}
				
			};
			
			//mise à jour email
			if ($newemail !== dlw_dec($_SESSION['email'])){
							
				if(dlw_verif_user($newemail)){
					
					$nok .= "Compte existant ".dlw_dec($_SESSION['email']);
					
					//si email existant on reprend l'email de la session en cours pour l'affichage de l'input
					$newemail=dlw_dec($_SESSION['email']);
					
				}else{
					
					//enregistrement du nouvel email en BDD
					$sqluser ="UPDATE ".$presql."_users SET email ='".dlw_enc($newemail)."' WHERE id_user = '".$_SESSION['id']."'";
					mysqli_query($db,$sqluser);	
								
				};
			};
			
			//graphisme
			$theme = '';
			if (isset ($roundStyle) ){$theme = 'checked';};
			$theme .= ';';
			if (isset ($darkStyle) ){$theme .= 'checked';};
		

			//mise à jour identité	
			$sqluser ="UPDATE ".$presql."_users SET name ='".dlw_enc($nom)."', firstname ='".dlw_enc($prenom)."' , telephone = '".dlw_enc($phone)."', couleur ='".dlw_enc($userCoul)."' , theme ='".dlw_enc($theme)."' WHERE id_user = '".$_SESSION['id']."'";
			//echo $sqluser;exit;
			mysqli_query($db,$sqluser);	

			//mise à jour de session
			dlw_session($_SESSION['id']);		

			// Verification admin
			if($_SESSION['droit']==10){
				
				
				// Lire le contenu du fichier config dans une chaîne
				$fileContent = file_get_contents(ABSPATH ."/admin/config.php");

				// Utiliser une expression régulière pour extraire les paires clé-valeur
				$pattern = '/define\("([^"]+)", "([^"]+)"\);/';
				preg_match_all($pattern, $fileContent, $matches);

				// Construire un tableau associatif avec les paires clé-valeur
				$tabConfig = array_combine($matches[1], $matches[2]);


				// mise a jour des parametres de session
				$fpconfig_site = fopen ( ABSPATH ."/admin/config.php","w");
				$valueconfig_site = '<?php '. PHP_EOL;
				
				
				//traitement des données POST
				foreach( $_POST as $cle=>$value ){
					if(
					
						//extraction des clés déjà traitées
						($cle!="param_modif")
						AND ($cle!="submit")
						AND ($cle!="prenom")
						AND ($cle!="nom")
						AND ($cle!="newemail")
						AND ($cle!="password")
						AND ($cle!="passwordconfirm")
						AND ($cle!="userCoul")
						AND ($cle!="roundStyle")

						//checkbox
						AND ( substr($key,-6) !== "hidden" )
						
						AND (!empty($value))
						
						){
							//
							
						$valueconfig_site .= 'if(!defined("CONFIG_'.$cle.'")){define("CONFIG_'.$cle.'", "'.dlw_enc($value).'");};'. PHP_EOL;
						
					}
				}
				
				//traitement des données non reçues en Post mais existantes pour éviter la suppression

				foreach( $tabConfig as $cle=>$value ){
					
					$cle = str_replace('CONFIG_', '', $cle);
					
					//si le post n'existe pas mais que la constante existe, on la réenregistre, sauf si checkbox
					if( !isset($_POST[$cle]) AND ($cle!="key") AND !isset($_POST[$cle."_hidden"])){
						
						$valueconfig_site .= 'if(!defined("CONFIG_'.$cle.'")){define("CONFIG_'.$cle.'", "'.$value.'");};'. PHP_EOL;
					}
				}			

				$valueconfig_site .='?>';

				fwrite($fpconfig_site,$valueconfig_site);
				fclose($fpconfig_site);

				//convertion du logo
				if(isset($_FILES) and !empty($_FILES['logopro']['tmp_name'])){
					
					$size = getimagesize($_FILES['logopro']['tmp_name']);
					$ratio = $size[0]/$size[1]; // width/height
					
					if( $ratio > 1) {
						$width = 500;
						$height = 500/$ratio;
					}
					else {
						$width = 500*$ratio;
						$height = 500;
					};

					$src = imagecreatefromstring(file_get_contents($_FILES['logopro']['tmp_name']));
					$dst = imagecreatetruecolor($width,$height);
					imagealphablending($dst, false);
					imagesavealpha($dst, true);
					imagecopyresampled($dst,$src,0,0,0,0,$width,$height,$size[0],$size[1]);
					imagedestroy($src);
					imagepng($dst, ABSPATH ."/img/logo.png"); // adjust format as needed
					imagedestroy($dst);
					
				};

				require_once ( ABSPATH ."/admin/config.php"); 
			};

			
			if(!isset($nok)){$ok = "Modifications enregistrées";}	
			
		}else if($submit=="Sauvegarder"){	
			
			//sauvegarde complète de yucca avec download zip
			$domain = $_SERVER['HTTP_HOST'];
						
			//liste des fichiers
			$bdd_file =  ABSPATH ."bdd_save_".$domain.".sql";
			
			//récupération des tables
			$req_list=mysqli_query($db, "SHOW TABLES LIKE '".$presql."_%'");
			$str = strlen($presql."_");
						
			while ($data_list = mysqli_fetch_array($req_list)){
					
				$pages .= $data_list[0]." ";
					
			};
			
			$content_file =  ABSPATH ."/";
			$file_cloud = date('Ymd')."_yucca_save_".$domain.".tar";			
			
			exec("mysqldump --user=$dbuser --password=$dbpass --host=$dbhost $dbname $pages > $bdd_file");
			exec("tar -czf  $file_cloud --exclude='*.tar' $bdd_file $content_file");
			
			//hook de sauvegarde pour shunter les paramètres Nextcloud de base via un nouveaux modules
			hook('open_param_save');
			include_once ( ABSPATH ."/admin/config.php");
	
			//sauvegarde envoyé sur Nextcloud si disponible
			if(
				defined('CONFIG_lien_cloud') and !empty(dlw_dec(CONFIG_lien_cloud))
				and defined('CONFIG_name_cloud') and !empty(dlw_dec(CONFIG_name_cloud))
				and defined('CONFIG_password_cloud') and !empty(dlw_dec(CONFIG_password_cloud))
				and defined('CONFIG_folder_cloud') and !empty(dlw_dec(CONFIG_folder_cloud))
			){
				
				//création du dossier de sauvegarde sur Nextcloud
				$chfolder = curl_init();
				curl_setopt($chfolder, CURLOPT_URL, 'https://'.dlw_dec(CONFIG_lien_cloud).'/remote.php/webdav'.dlw_foldercloud(CONFIG_folder_cloud));
				curl_setopt($chfolder, CURLOPT_USERPWD, dlw_dec(CONFIG_name_cloud).":".dlw_dec(CONFIG_password_cloud));			
				curl_setopt($chfolder, CURLOPT_CUSTOMREQUEST, "MKCOL");
				curl_setopt($chfolder, CURLOPT_BINARYTRANSFER, TRUE); // --data-binary
				curl_exec ($chfolder);
				curl_close($chfolder);

				//procédure curl
				$ch = curl_init();
				curl_setopt($ch, CURLOPT_URL, 'https://'.dlw_dec(CONFIG_lien_cloud).'/remote.php/webdav'.dlw_foldercloud(CONFIG_folder_cloud).basename($file_cloud));
				curl_setopt($ch, CURLOPT_USERPWD, dlw_dec(CONFIG_name_cloud).":".dlw_dec(CONFIG_password_cloud));
				curl_setopt($ch, CURLOPT_PUT, 1);
				$fh_res = fopen($file_cloud, 'r');
				curl_setopt($ch, CURLOPT_INFILE, $fh_res);
				curl_setopt($ch, CURLOPT_INFILESIZE, filesize($file_cloud));
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($ch, CURLOPT_BINARYTRANSFER, TRUE); // --data-binary
				$response = curl_exec($ch);
				curl_close($ch);

				//Gestion de la réponse de l'envoi
				if ($response === false) {

					//Texte du mail	
					$nok="Erreur, veuillez vérifier vos paramètres Nextcloud.";
						
				//sinon	
				}else{
										
					$ok="Sauvegarde envoyée sur Nextcloud.";	
						
				};
				
				unlink($file_cloud);
				unlink($bdd_file);

			//sinon téléchargement de l'archive	
			}else{
								
				header('Content-Type: application/octet-stream');
				header("Content-Transfer-Encoding: Binary"); 
				header("Content-disposition: attachment; filename=\"" . basename($file_cloud) . "\""); 
				readfile($file_cloud);
				unlink($file_cloud);
				unlink($bdd_file);			
				exit;
								
			};
			
		};
    break;
        
    /*
    * Page de gestion des modules
    *
    *
    *
    */
	case "modules" :
		if($submit=="Modifier"){	
			// mise a jour des parametres de session
			$i=0;$acces="";
			if(!isset($_POST['choix'])){
				$acces="0";
			}else{
				foreach($_POST['choix'] as $val){
					if($i>0){$acces.=";";};
					$acces.=$val;
					$i++;
				};
			};
			//activation des modules pour les clients sélectionnées
			mysqli_query($db, "UPDATE ".$presql."_modules SET acces ='".$acces."' , name ='".dlw_accents($mod_name,3)."', titre='".$mod_name."' , ordre='".$mod_ordre."'WHERE id_mod = '".$_POST['id_mod']."'");
			
			//mise à jour init si nouvelles bases de données
			if ( file_exists( ABSPATH ."/modules/".$_POST['mod_dossier']."/init.php") ){

				include( ABSPATH ."/modules/".$_POST['mod_dossier']."/init.php");
			};
			
			$ok = "Accès enregistrés";
			
        }else if($submit=="Installer"){	
			//installation d'un nouveau module
			if ( file_exists( ABSPATH ."/modules/".$_POST['mod_dossier']."/init.php") ){

				include( ABSPATH ."/modules/".$_POST['mod_dossier']."/init.php");
			};
			
			mysqli_query($db, "INSERT INTO ".$presql."_modules (acces,name,dossier,ordre,titre) VALUES ('0','".dlw_accents($_POST['mod_name'],3)."','".$_POST['mod_dossier']."',0,'".$_POST['mod_name']."')");
		
			$ok = "Module installé";
			
		}else if($submit=="Desinstaller"){	
			//desinstallation d'un module
			if ( file_exists( ABSPATH ."/modules/".$_POST['mod_dossier']."/init.php") ){

				include( ABSPATH ."/modules/".$_POST['mod_dossier']."/init.php");
			};
						
			mysqli_query($db, "DELETE FROM ".$presql."_modules WHERE dossier='".$_POST['mod_dossier']."'");
			
			$ok = "Module désinstallé";
			
		}else if($submit=="Supprimer"){	
			//installation d'un nouveau module
			supp_mod($_POST['mod_dossier']);
			$ok = "Module supprimé";
		};
    break;
          
    /*
    * Page de gestion des groupes
    *
    *
    *
    */        
	case "groupes" :
	// nouveau groupe
	if($submit=="Ajouter"){	

		// creation du groupe dans la bdd
		mysqli_query($db, "INSERT INTO ".$presql."_groups (groupname) VALUES ('".dlw_enc($group_name)."')");
		$ok= "Groupe ajouté";
	
	// Modification de groupe
	} else if($submit=="Modifier"){	
		
		$sql = "select groupname from ".$presql."_groups where groupname='".$group_name."'";
		$reqverif = mysqli_query($db, $sql);
		$verif = mysqli_fetch_assoc($reqverif);
		
		if ( $verif == 0 ) {
			$sqluser ="UPDATE ".$presql."_groups SET groupname ='".dlw_enc($group_name)."' WHERE id_group = '".$id_group."'";
			mysqli_query($db,$sqluser);
			$ok = "Groupe modifié";
		}else{
			$nok = "Groupe existant";
		}

	// suppression du groupe
	}elseif($submit=="Supprimer"){
		mysqli_query($db, "DELETE FROM ".$presql."_groups WHERE id_group = '".$id_group."'");
		$ok = "Groupe supprimé";
	};
	break;
        
    /*
    * Page de gestion des utilisateurs
    *
    *
    *
    */
	case "utilisateurs" :
		if($submit=="Ajouter"){
			$verif = dlw_verif_user($email_user);
			if ($verif) {
                $nok = "Email existant";
			}else{	
                // creation du client sur la bdd
                //cryptage de l'email en variable car réutilisés plusieurs fois, ils doivent être fixes
                define('EMAILUSER',dlw_enc($email_user));

				mysqli_query($db, "INSERT INTO ".$presql."_users (firstname,name,ids_group,droit,email)
				VALUES ('".dlw_enc($prenom_user)."','".dlw_enc($nom_user)."','0','".$droit."','".EMAILUSER."')");
				// récupération de l'id user
				$id_user = mysqli_insert_id($db);
				//entete des emails commun
				include ( ABSPATH ."/functions/mail/email-header.php");
				$mail->AddAddress($email_user); //le destinataire
				$mail->Subject='Votre accès YUCCA'; // le sujet du mail
				$reponse = "Utilisateur crée";				
				$mail->Body .= '
				    Bonjour,<br>
				    Vous avez maintenant accès à YUCCA sur '.$_SERVER['HTTP_HOST'].'.<br>
				    Pour confirmer votre compte, vous devez <a href="https://'.$_SERVER['HTTP_HOST'].'?ac=md&k1='.md5(EMAILUSER).'&k2=new">cliquez ici pour créer votre mot de passe</a>.
				';
				//pied de page des emails commun
				include ( ABSPATH ."/functions/mail/email-footer.php");
			}
		// Modification utilisateur
		} else if($submit=="Modifier"){
			
			$sqluser ="UPDATE ".$presql."_users SET ids_group ='".$group."', droit='".$droit."' WHERE id_user = '".$id_user."'";
			mysqli_query($db,$sqluser);
			
            //mise à jour de la SESSION si la modification porte sur l'utilisateur en cours
            if($id_user==$_SESSION['id']){dlw_session($_SESSION['id']);$droitmod=dlw_accesmodule();};
            
			$ok = "Utilisateur modifié";
		// Suppression d'utilisteur
		}elseif($submit=="Supprimer"){
            if($id_user==$_SESSION['id']){
                $nok="Vous ne pouvez pas supprimer votre compte";
            }else{
				mysqli_query($db, "DELETE FROM ".$presql."_users WHERE id_user = '".$id_user."'");
				$ok = "utilisateur supprimé";
            };
		};
	break; 
	
	case "assistance" :
		$mail->FromName="YUCCA CRM";
		$mail->From=dlw_dec($_SESSION['email']);
		$mail->AddAddress('assistance@yucca-crm.fr'); //le destinataire
		$mail->Subject='Demande d\'assistance YUCCA N°'.date("YmdHis");; // le sujet du mail
		$mail->Body = 'Utilisateur : '.dlw_dec($_SESSION['firstname']).' '.dlw_dec($_SESSION['name']).'<br>';
		$mail->Body .= 'Instance : '.$_SERVER['HTTP_HOST'].'<br>';
		$mail->Body .= 'Demande : '.stripcslashes(nl2br($assistance)).'';
		//On envoi le mail
		if($mail->Send())
		{
			$ok = "Demande envoyée, nous vous recontacterons dans les plus bref délais";
		}
		else
		{
			$nok = "Erreur serveur, vueillez vérifier vos paramètres";
		};
			
	break;
};
