<!DOCTYPE html>
<html>
	<head>
        <meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/>
		<meta name="robots" content="noindex, nofollow, noarchive" />
		<title> <?php if(empty($_GET['p'])){echo "Tableau de bord";}else{echo ucfirst($_GET['p']);};?> - YUCCA</title>
		<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,400i,600&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="//code.jquery.com/ui/1.13.0/themes/base/jquery-ui.css">
		<link rel="icon" type="image/png" href="/img/logo-fav.png" />
		<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
		<script src="https://kit.fontawesome.com/330d4ee973.js" crossorigin="anonymous"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>

		<script type="text/javascript" src="/jquery/script.js"></script>
		 <?php
			foreach($prefix_mod as $val){
				
				if(file_exists(ABSPATH ."/jquery/script_".$val.".js")){
					
					echo "<script type='text/javascript' src='/jquery/script_".$val.".js'></script>";
					
				};
				
			};
		 ?>
	</head>
	<body>
		<style type="text/css"><?php
			require_once ('style/style.php');
			
			foreach($prefix_mod as $val){
				
				if(file_exists(ABSPATH ."/style/style_".$val.".php")){
					
					include ( ABSPATH ."/style/style_".$val.".php");
					
				};
				
			};
		 ?></style>
			<header class="border-right">
				<a class="hreflogo" href="/" title="tableau de bord">
					<svg id="homeyucca" viewBox="0 0 106.67 83.827">
					 <g transform="translate(-2.6042 -60.896)">
					  <path d="m85.592 142.25c-2.3813-8.5251-4.7868-28.935-0.4509-38.083 4.9931 1.4288 11.248 0.0411 14.235-3.0015 5.5239-5.6254 3.7191-13.734 3.8393-21.415 0.11581-7.4003 6.061-11.381 6.061-11.381-10.626 3.1448-27.517 4.8278-31.046 23.031-1.2244 6.3151 1.1468 10.087 4.7664 11.933-0.93112 3.2836-1.8251 6.457-2.7649 16.173-1.6013-7.1178-4.7175-13.485-9.8154-20.996 3.1789-6.7755 1.3282-23.462-15.015-31.69-19.527-9.8311-47.354-5.2089-52.797-1.8854 0 0 12.264 1.2312 18.183 6.869 8.0069 7.6261 3.9002 11.466 11.448 25.658 10.385 19.527 31.116 7.6085 33.402 6.3973-3.1339-9.7305-11.529-18.859-20.876-27.879 2.3788 1.1964 15.545 9.9602 23.841 24.917 1.4284 2.5753 13.921 21.391 4.2813 41.354-8.3469 3.2383 22.251 3.3475 12.71 0z"/>
					 </g>
					</svg>
				</a>
				<nav>
					<ul>
					<?php // menu
						if (isset($droitmod)){
						foreach($droitmod as $val => $key){
							if ( ( substr($val,-5) != 'titre' ) AND file_exists( ABSPATH ."/modules/".$val."/content.php") ){
							?><li><a id="<?php  echo $val;?>nav" href="/<?php  echo $key;?>"><span><?php echo ucfirst($droitmod[$val.'_titre']);?></span></a></li><?php 
						};};};?>
						<?php  //liens annexes affichés suivant les paramètres utilisateurs, reprise de POST pour la page Paramètres
						
						//Nextcloud
						if (defined('CONFIG_lien_cloud') AND (dlw_dec(CONFIG_lien_cloud) !="") AND !isset($lien_cloud)){
							?><li class="separator"><a id="cloudnav" href="https://<?php echo dlw_dec(CONFIG_lien_cloud);?>" target="_blank"><span>Cloud</span></a></li><?php
						}else if (isset($lien_cloud) AND ($lien_cloud != "")){
							?><li class="separator"><a id="cloudnav" href="https://<?php echo $lien_cloud;?>" target="_blank"><span>Cloud</span></a></li><?php
						};
						
						//Wp_admin Worpdress					
						if (defined('CONFIG_lien_wp') AND (dlw_dec(CONFIG_lien_wp) !="") AND !isset($lien_wp)){
							?><li class="separator"><a id="wordpressnav" href="https://<?php echo dlw_dec(CONFIG_lien_wp);?>/wp-admin" target="_blank"><span>Wp-admin</span></a></li><?php
						}else if (isset($lien_wp) AND ($lien_wp != "")){
							?><li class="separator"><a id="wordpressnav" href="https://<?php echo $lien_wp;?>/wp-admin" target="_blank"><span>Wp-admin</span></a></li><?php
						};?>
						<li><a class="out fontcouleur4" href="/deconnexion" title="Se déconnecter"><span><?php  echo dlw_dec($_SESSION['firstname'])." ".dlw_dec($_SESSION['name']);?></span></a></li>
						<?php dlw_compare_version();?>
					</ul>
				</nav>
			</header>
			<div id="wait"><div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div><p>VEUILLEZ PATIENTER</p><button class="bouton annuler nowait" title="Annuler" onclick="unwait()"></button></div>
			
			<?php 
			// encart d'informations arrivant par get pour par variable
			hook('message');
			extract($_GET);
			
			if (isset($ok)){?>
				<div id="messageok" class="message"><span><?php if (isset($new_ok)){echo $new_ok;}else{echo $ok;};?></span></div>
			<?php }else if (isset($avert)){?>
				<div id="messageavert" class="message"><span><?php if (isset($new_avert)){echo $new_avert;}else{echo $avert;};?></span></div>
			<?php }else if (isset($nok)){?>
				<div id="messagenok" class="message"><span><?php if (isset($new_nok)){echo $new_nok;}else{echo $nok;};?></span></div>
			<?php }else{?>
				<div class="message"></div>
			<?php };?>
			
			<div class="container container-princ" id="top">
			<div class="row access">
				<div id="navpage" class="border-right"><ul>
					<?php  include (DLW_SSNAV);
					//lien vers la configuration
					?>
				<li id="lienconfig"><a href="/configuration/parametres"><span>Configuration</span></a></li>
				</ul>
				</div>
				<div class="col12">
				<?php  if(DLW_ACCESS=="ok"){include (DLW_PAGE); }else{ include ('erreur.php'); };
				include('footer.php'); ?>
