/*
 *Module Contact
 */

/*icone menu*/

#yucca_contactnav::before,#yucca_contact_acc .accueil::before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f007";
	display: block;
	font-size: 2em;
}


/*icone sous menu*/

#contactsnav::before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f0c0";
	display: block;
	font-size: 2em;
}

#contactssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f0c0";
	padding-right: 1em
}

/*
 *Module Structure
 */

/*icone menu*/

#yucca_structurenav:before,#yucca_structure_acc .accueil::before  {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f64f";
	display: block;
	font-size: 2em;
}


/*icone sous menu*/

#structuressnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f1ad";
	padding-right: 1em
}


/*
 *Module Projet
 */


/*icone menu*/

#yucca_projetnav::before,#yucca_projet_acc .accueil::before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f542";
	display: block;
	font-size: 2em;
}


/*icone sous menu*/

#projetssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f542";
	padding-right: 1em
}

#horairessnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f017";
	padding-right: 1em
}

#bilanssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f153";
	padding-right: 1em
}

.bilanannssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f201";
	padding-right: 1em
}

.bilanannssnav a {
	padding: 0.3em 1em !important;
}


/*
 *Module Fournisseur
 */


#yucca_fournisseurnav::before,#yucca_fournisseur_acc .accueil::before  {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content:"\f508";
	display:block;
	font-size:2em;
}

#fournisseurssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f508";
	padding-right: 1em
}

#tachessnav a:before{font-family: "Font Awesome 5 Free";font-weight: 900;content:"\f0ae";padding-right:1em}

/*elements à cocher*/
.coche,.emaildoc,.noemail{display:inline-block;white-space:nowrap;padding:11px 10px;width:calc(100% - 40px);color:rgba(<?php  echo $coul8;?>,1);margin:0;background-color:rgba(<?php  echo $coul1;?>,1);height: 46px;box-sizing: border-box;}
span.coche,span.emaildoc{cursor:pointer;}
.couleur1 .coche, .couleur1 .emaildoc{color:rgba(<?php  echo $coul8;?>,1);}
.coche::before, .emaildoc::before{font-family: "Font Awesome 5 Free";font-weight: 900;content:"\f00d";margin-right:0.5em;padding:0 2px 0 3px;}
.coche.valid, .emaildoc.valid{background-color:rgba(<?php  echo $coul2;?>,1);color:rgba(<?php  echo $coul8;?>,1);}
.coche.valid::before,.emaildoc.valid::before {font-family: "Font Awesome 5 Free";;font-weight: 900;content:"\f00c";margin-right:0.5em;padding:0px;}
.listcontact + .listcontact{margin-top:5px;}

/*projet*/
.termine:before{font-family: "Font Awesome 5 Free";font-weight: 900;content:"\f00c";line-height:46px}
.endproject{background-color:rgba(<?php echo $coul5;?>,1);}
#searchprojdlw{width:calc(100% - 92px);border-radius:0;}
label.endprojectdlw{background-color:rgba(<?php echo $coul1;?>,1);}
label.endprojectdlw.valid{background-color:rgba(<?php echo $coul2;?>,1);}
label.endprojectdlw:not(.valid){background-color:rgba(<?php echo $coul1;?>,1) !important;}
#nouveauprojet .col6.input,#nouveaucontact_dlw .col6.input  {width:calc(50% - 50px);}
#nouveaucontactyucca_dlw .col6.input  {width:calc(50% - 50px);}


#usericon:before{font-family:"Font Awesome 5 Free";font-weight: 900;content:"\f0c0";margin:0.5em;display: block;font-size: 3em;}
#budgeticon:before{font-family:"Font Awesome 5 Free";font-weight: 900;content:"\f51e";margin:0.5em;display: block;font-size: 3em;}
.acctache{padding:0.5em;}
.acctache:nth-child(odd){background-color:rgba(<?php echo $coul3;?>,1);border-color:rgba(<?php echo $coul3;?>,1);}
.acctache h3{margin-top:0;}
.acctache a{font-size:0.8em;display:block !important;padding:0;text-decoration:none !important;}
.dateechlist{text-align:center;color:rgba(<?php  echo $coul8;?>,1);box-sizing:border-box;padding:10px !important;display:block !important;background-color:rgba(<?php  echo $coul4;?>,1);}

.dateech, .accueil .dateechlist{padding:0 4px;text-align:center;color:rgba(<?php  echo $coul8;?>,1);margin-top:14px;background-color:rgba(<?php  echo $coul2;?>,1);box-sizing:border-box;line-height:20px;font-size: 0.8em;		box-shadow: -3px -3px 5px rgba(<?php echo $coul3;?>, 0.8),3px 3px 5px rgba(<?php echo $coul1;?>, 0.2);
}
.dateech.retard,.dateechlist.retard{background-color:rgba(<?php  echo $coul1;?>,1);}
.dateech.today,.dateechlist.today{background-color:rgba(<?php  echo $coul7;?>,1);}
.listing .row:hover .dateechlist{background-color:rgba(<?php  echo $coul5;?>,1) !important;font-weight:bold;}

.coldate {width: calc(100%/6 - 65px);padding:10px}
.coldateproj {width: calc(100%/12*2 - 40px);}
.avancement{position:absolute;top:0.5em;right:0.5em}
.coltimer{background-color:rgba(<?php  echo $coul8;?>,1);}
.colbibli{width: calc(100%/12*2 - 80px);}
.taches{padding:0;}

.listing .dev:before{content : "Dv"; background-color:rgba(<?php  echo $coul4;?>,1);color:rgba(<?php  echo $coul3;?>,1);line-height:46px;width:40px;text-align:center;}
.listing .dep:before{content : "De"; background-color:rgba(<?php  echo $coul5;?>,1);color:rgba(<?php  echo $coul3;?>,1);line-height:46px;width:40px;text-align:center;}
.listing .rec:before{content : "Fa"; background-color:rgba(<?php  echo $coul6;?>,1);color:rgba(<?php  echo $coul3;?>,1);line-height:46px;width:40px;text-align:center;}


/*timer*/
.divtimer{display:flex;align-items:center;margin-top:0;}
.bouton.timer{width:calc(100% - 4em);color:rgba(<?php echo $coul10;?>,1);opacity:0.5}
.timer:before{font-family: "Font Awesome 5 Free";;font-weight: 900;content:"\f04c";color:rgba(<?php echo $coul10;?>,1);}
.timer.stop{opacity:1}
.timer.stop:before{content:"\f04b";}

.time{padding-left:1em;}
.timerplus,.timermoins{display:inline-block;width:2em;height:2em;color:rgba(<?php echo $coul8;?>,1);cursor:pointer;background:rgba(<?php echo $coul1;?>,1);text-align:center;line-height:2em;}
.tottimer{padding:0.5em;background-color:rgba(<?php echo $coul2;?>,1);color:rgba(<?php echo $coul8;?>,1);position: absolute;right: 0;top: -0.4em;}
.libtimer{padding: 0.1em 0;position: relative;}
.coltimer{padding:0 5px;background-color:rgba(<?php echo $coul8;?>,1) !important;}

.tempsprojets+.tempsprojets{margin-top:5px;}

/*avancement*/
ul.progress_bar{width: 100%;padding: 0 18px;height: 4em;margin: 5em 0 9em 0;padding: 0;font-size: 10px;}
ul.progress_bar li{width: 15%;float: left;height: 100%;list-style: none;position: relative;margin: 0;padding: 0;}
ul.progress_bar span {position: relative;top: 4em;left: -3em;transform: rotate(-30deg);display: block;}
ul.progress_bar li div{position: absolute;display: block;top: 0;bottom: 0;left: 0;right: 0;margin: auto;background: rgba(<?php echo $coul1;?>,1);height: 1em;z-index: 1;}
ul.progress_bar li.activated:before{background: rgba(<?php echo $coul2;?>,1);border: 1em solid rgba(<?php echo $coul1;?>,1);box-sizing: border-box;}
ul.progress_bar li.activated span{font-size: 2em;font-weight: bold;top: 2.4em;left: -1.6em;color: rgba(<?php echo $coul2;?>,1);}
ul.progress_bar li:before{content: '';display: block;position: absolute;left: 0;top: 0;background: rgba(<?php echo $coul1;?>,1);width: 4em;height: 4em;z-index: 2;}
ul.progress_bar li:first-child{margin-left:10%;}
ul.progress_bar li:last-child div{display: none;}

.lienproj > div{padding:5px;margin: 0 0 5px 0 !important;background-color:rgba(<?php echo $coul3;?>,1);}

.lienproj > div+div{margin-top:-10px;}
.lienproj h2:before{color: rgba(<?php echo $coul1;?>,1)}

.lienproj input,.lienproj select{background-color:rgba(<?php echo $coul8;?>,1);}



span.structure{display:inline-block;white-space:nowrap;padding:11px 10px;width:calc(100% - 40px);height: 46px;box-sizing: border-box;text-overflow: ellipsis;overflow:hidden;}
span.structure~.bouton{vertical-align:top;}
span.structure::before{font-family: "Font Awesome 5 Free";font-weight: 900;content:"\f1ad";margin-right:0.5em;padding:0 2px 0 3px;}

/*
 *Module Document
 */

/*icone menu*/

#yucca_documentnav::before,#yucca_document_acc .accueil::before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f571";
	display: block;
	font-size: 2em;
}

#documentssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f571";
	padding-right: 1em
}


/*icone sous menu*/

#facturationssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f15c";
	padding-right: 1em
}

#devisssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f56c";
	padding-right: 1em
}

#contratssnav a:before {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	content: "\f56c";
	padding-right: 1em
}

select#produit {
	width:calc(100% - 50px);
}
#facsend {margin:1em 0 0.5em 0; color:rgba(<?php echo $coul1;?>,1);}
#facsend i{font-size:3em;line-height:1em;}


.newligne label{display:block;}
.newligne input,.newligne select, .datedoc input{width:100%;display:block}
.firstligne .supprimer{display:none;}
.firstligne{margin-top:-20px}
.newligne + .newligne{border-top:1px dashed rgba(<?php  echo $coul2;?>,0.3);margin-top:10px;padding-top:10px}
.verrou_delai_envoi,.verrou_delai_exec {height:46px;background-color:rgba(<?php  echo $coul2;?>,1);color:rgba(<?php  echo $coul8;?>,1);padding:10px;box-sizing: border-box;margin:5px 0}
.verrou_delai_envoi::before{font-family: "Font Awesome 5 Free";font-weight: 900;content:"\f1d8";margin-right:0.5em;padding:0 2px 0 3px;}
.verrou_delai_exec::before{font-family: "Font Awesome 5 Free";font-weight: 900;content:"\f00c";margin-right:0.5em;padding:0 2px 0 3px;}
#tvabibli{width:100%;}
#produit{width:calc(100% - 50px);vertical-align:top;}
#enddoc{padding-top:2em;margin:2em 0 0 0;border-top:1px solid rgba(<?php  echo $coul1;?>,0.2)}
.lignedocvisu{margin:1em 0 0 0;border-top:1px solid rgba(<?php  echo $coul1;?>,0.2)}

.relancer:before{font-family: "Font Awesome 5 Free";;font-weight: 900;content:"\f01e";color:rgba(<?php  echo $coul1;?>,1);}
.acquite:before{font-family: "Font Awesome 5 Free";;font-weight: 900;content:"\f021";color:rgba(<?php  echo $coul1;?>,1);}
#bilanpdf{display:inline-block;}
.bouton.pdf{width:100px;background-color:rgba(<?php  echo $coul1;?>,1);color:rgba(<?php  echo $coul3;?>,1);margin-bottom:5px}
.pdf:before{font-family: "Font Awesome 5 Free";font-weight: 900;content:"\f1c1";color:rgba(<?php  echo $coul3;?>,1);margin-right:0.5em}

@media only screen and (max-width:900px) {
	.coldate {
		width: 100%;
		text-align:right;
	}
	.coltimer {
		background-color:rgba(<?php  echo $coul3;?>,1) !important;
		margin:10px 0;
	}	
	.hourbilan{transform: rotate(-90deg);
display: block;
height: 5em;
width: 4em;}
}

<?php if (  $_SESSION['style'] == 'checked' ) { ?>
/*style arrondi*/
.dateech, .accueil .dateechlist,.lienproj > div,.verrou_delai_envoi,.verrou_delai_exec{border-radius: 14px;}
label.endprojectdlw{border-radius:0 14px 14px 0;}
.listing .dev:before,
.listing .dep:before,
.listing .rec:before{border-radius:14px 0 0 14px}
.bouton.timer{border-radius:5px;}
.lignedocvisu > .col4 .col6.couleur2{border-radius:0 0 0 14px}
.lignedocvisu > .col4 .col3.couleur2{border-radius:0 0 14px 0}
ul.progress_bar li:before{border-radius: 2em;}

@media only screen and (max-width:900px) {
	.coldate {
		border-radius:0 0 14px 14px !important;
	}

}
<?php };
