<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require_once( ABSPATH ."/functions/phpmailer/PHPMailer.php");
require_once( ABSPATH ."/functions/phpmailer/Exception.php");

$mail = new PHPMailer();
$mail->isHTML(true);

dlw_get_config();

if ( !defined('CONFIG_title') ){ define("CONFIG_title",dlw_enc('YUCCA CRM')); };
if ( !defined('CONFIG_coul') ){ define("CONFIG_coul", "#64e058"); };
if (!defined('CONFIG_emailrep')){define("CONFIG_emailrep",$_SESSION['email']);};

if (defined('CONFIG_smtp') 
	and defined('CONFIG_host_smtp')
	and defined('CONFIG_port_smtp')
	and defined('CONFIG_emailrep')
	and defined('CONFIG_pass_smtp')
	){
	
	require_once( ABSPATH ."/functions/phpmailer/SMTP.php");

	$mail->IsSMTP();
	$mail->Host = dlw_dec(CONFIG_host_smtp);        //Adresse IP ou DNS du serveur SMTP
	$mail->Port = dlw_dec(CONFIG_port_smtp);        //Port TCP du serveur SMTP
	$mail->Username   =  dlw_dec(CONFIG_emailrep);   //Adresse email à utiliser
	$mail->Password   =  dlw_dec(CONFIG_pass_smtp); //Mot de passe de l'adresse email à utiliser
	$mail->SMTPAuth = true;                 //Utiliser l'identification
	$mail->SMTPSecure = 'ssl';             //Protocole de sécurisation des échanges avec le SMTP
};

// si on detecte l'envoi d'un mail via un formulaire
// on defini les variables
$mail->CharSet = "UTF-8";

$mail->From=dlw_dec(CONFIG_emailrep);
$mail->FromName=dlw_dec(CONFIG_title);
$mail->addReplyTo(dlw_dec(CONFIG_emailrep), dlw_dec(CONFIG_title));
