$(document).ready(function (){

    /*passage en client pro*/
    $("#protoggle").click(function() {
        $( "#selectstruc" ).toggleClass( "invisible" )
    });
   

	if($('.timer').length){
		var interval;
		interval = setInterval(increment, 60000);
	};
	
	$('.timer').on('click',function(e){
		event.preventDefault();
		if($('.timer.stop').length){
			var thistimer = $(this);
			if(thistimer.hasClass("stop")){
				thistimer.removeClass("stop");
			}else{
				$('.timer.stop').removeClass("stop").queue(function(){
					thistimer.addClass("stop").dequeue();
				});	
			};					
		}else{
			$(this).addClass('stop');
		};
	});
	
	$('.timerplus').on('click',function(e){
		var hour= parseInt($(this).siblings('.timer').children('.time').html().split(':')[0]);
		var minutes = parseInt($(this).siblings('.timer').children('.time').html().split(':')[1]);
		var counter = (hour*60)+minutes+10;
		var newhour = Math.floor(counter/60);if (newhour < 10 ) {newhour="0"+newhour};
		var newminutes = counter - (newhour*60);if (newminutes < 10 ) {newminutes="0"+newminutes};
		$(this).siblings('.timer').children('.time').html(newhour+":"+newminutes);

		$.ajax({
			   url : '../../modules/yucca_projet/timer.php',
			   type : 'GET',
			   data : {time:counter,idproj:$(this).siblings('.timer').children('input[name="idproj"]').val()},		
			   				
			});
			
		if($('#calctaux').length){	
			calctaux();
		};
	});

	
	$('.timermoins').on('click',function(e){
		var hour= parseInt($(this).siblings('.timer').children('.time').html().split(':')[0]);
		var minutes = parseInt($(this).siblings('.timer').children('.time').html().split(':')[1]);
		var thiscounter =(hour*60)+minutes;
		
		if (thiscounter < 10){
			
			var counter = 0;
			
		}else{
			
			var counter = (hour*60)+minutes-10;

		};
		
		
		var newhour = Math.floor(counter/60);if (newhour < 10 ) {newhour="0"+newhour};
		var newminutes = counter - (newhour*60);if (newminutes < 10 ) {newminutes="0"+newminutes};
		$(this).siblings('.timer').children('.time').html(newhour+":"+newminutes);
		$.ajax({
			   url : '../../modules/yucca_projet/timer.php',
			   type : 'GET',
			   data : {time:counter,idproj:$(this).siblings('.timer').children('input[name="idproj"]').val()},		   	   	
			});
			
		if($('#calctaux').length){	
			calctaux();
		};
	});	
	
	/*ajout utilisateurs projet*/
    $("span.coche").click(function() {
        $(this).toggleClass( "valid" );
        var tag = "";
        $('span.valid').each(function () {
			var idtag = $(this).attr('id').replace('coche','');
			tag = tag+idtag+';';
		});
		$('#coche').val(tag);
    });
 
 	/*ajout email utilisateur pour envoi facture*/
    $("span.emaildoc").click(function() {
        $(this).toggleClass( "valid" );
        var tag = "";
        $('.emaildoc.valid').each(function () {
			var idtag = $(this).attr('id');
			tag = tag+idtag+';';
		});
		$('#emaildest').val(tag);
    });
       
	/*Suppression d'une tâche*/
	$('.supptache').on('click',function(e){
		event.preventDefault();
		jQuery(this).closest('.taches').remove();
	});	
	    
 	/*FILTRAGE PROJET JQUERY*/
	$('#searchprojdlw').on('input',function(e){
		var searchint = $(this).val().toLowerCase();
        var search = searchint.normalize('NFD').replace(/[\u0300-\u036f]/g, "");
                
        if (search==""){
			$(".fiche:not(.searchok)").addClass("searchok");
		}else{
			$(".fiche").removeClass("searchok");
			$('.jqueryname:contains("'+search+'")').parent().addClass("searchok");
		}
    }); 
    
	/*FILTRAGE CONTACT JQUERY*/
	var live_timer;    
	$("#search").keyup(function (e){
		clearTimeout(live_timer);
		$("#wait").addClass("load");
		
			live_timer = setTimeout(function(){
				var searchint = $('#search').val().toLowerCase();
				var search = searchint.normalize('NFD').replace(/[\u0300-\u036f]/g, "");
				var	fiches = $('.fiche,.groupletter')
				var thisrow = $('.jqueryname:contains("'+search+'")');
				var thisrowfiche = thisrow.closest('.fiche');
				var thisrowgroupletter = thisrow.closest('.groupletter');

					
				if (search==""){
						
					fiches.css("display", "block");
						
				}else{
						
					fiches.css("display", "none");					
					thisrowfiche.css("display", "block");
					thisrowgroupletter.css("display", "block");
					
				};
				
			}, 100);
		$("#wait").removeClass("load");			
	}); 
	     
    /*AFFICHAGE DES PROJETS TERMINES*/
	$('label.endprojectdlw').on('click',function(e){
		    $(this).toggleClass( "valid" );
			$('div.endproject').toggleClass("hide");
    });
	
	//calcul du revenu horaire des fiches projets
	if($('#calctaux').length){
		calctaux();
		$('#budget').on('input',function(e){calctaux();});
	};
	
            
    /*classement des taches*/
	jQuery(".sortable").each(function () {
			jQuery(this).sortable({
				accept : 'sortable_item',
				axis : 'vertically',
				opacity : 0.6,									
				update: function (event, ui) {
					serial = jQuery(this).sortable("toArray");
					jQuery(this).siblings('input').val(serial);
				},
			});
	});
	
    //lancement des fonctions        
   	inittouch();	
	docfunct();

});


//clock
function increment(){
		var hour= parseInt($('.stop .time').html().split(':')[0]);
		var minutes = parseInt($('.stop .time').html().split(':')[1]);
		var counter = (hour*60)+minutes;
		counter++;
		if($('.timer.stop').length){
			$.ajax({
			   url : '../../modules/yucca_projet/timer.php',
			   type : 'GET',
			   data : {time:counter,idproj:$('.timer.stop input[name="idproj"]').val()},
			   success : function(result){
				   var newhour = Math.floor(counter/60);if (newhour < 10 ) {newhour="0"+newhour};
				   var newminutes = counter - (newhour*60);if (newminutes < 10 ) {newminutes="0"+newminutes};
					$('.stop .time').html(newhour+":"+newminutes);
				},
				error : function(result,statut){
					
				},				
			});
		};    
};

//calcul du revenu effectif dans la fiche projet
function calctaux(){
		//nombre de minutes effective sur un projet
		var hour= parseInt($('.time').html().split(':')[0]);
		var minutes = parseInt($('.time').html().split(':')[1]);
		var totmin = (hour*60)+minutes;

		//budget devisé
		
		var budget = $('#budget').val();
		budget = budget.replace(/[^0-9]+./g, '');
		$('#budget').val(budget);
		budget = parseInt(budget);
		
		
		var calctaux = ((budget/totmin)*60);
		var calctauxround = Math.floor(calctaux);

		
		$('#calctaux').html("Moyenne H.T. : "+calctauxround+" €/h ");    
};


//deplacement des taches
function touchHandler(event) {
    var touch = event.changedTouches[0];

    var simulatedEvent = document.createEvent("MouseEvent");
        simulatedEvent.initMouseEvent({
        touchstart: "mousedown",
        touchmove: "mousemove",
        touchend: "mouseup"
    }[event.type], true, true, window, 1,
        touch.screenX, touch.screenY,
        touch.clientX, touch.clientY, false,
        false, false, false, 0, null);

    touch.target.dispatchEvent(simulatedEvent);
    
    var $target = jQuery(event.target);  
	if( $target.hasClass('ui-state-default') ) {  
		event.preventDefault();  
	}
}

function inittouch() {
    document.addEventListener("touchstart", touchHandler, true);
    document.addEventListener("touchmove", touchHandler, true);
    document.addEventListener("touchend", touchHandler, true);
    document.addEventListener("touchcancel", touchHandler, true);
}

function docfunct(){
    /*calcul HT TVA facture et Devis*/
    $('.lignedoc').on('input','.tot',function(e){
         
		/*recupération des valeurs de la ligne sélectionnée et verrouillage des entrées non numérique*/
		var tarif = $(this).parent().parent().find('.tottarif').val();
		tarif = tarif.replace(/[^0-9.\-]+/g, '');
		$(this).parent().parent().find('.tottarif').val(tarif);
		
		var qte = $(this).parent().parent().find('.totqte').val();
		qte = qte.replace(/[^0-9.\-]+/g, '');
		$(this).parent().parent().find('.totqte').val(qte);
		
		var tva = $(this).parent().parent().find('.tottva').val();
		var tvaform = tva.replace('.','_');
		$(this).parent().parent().find('.tottva2').removeClass('tottva20 tottva10 tottva5_5 tottva2_1 tottva0').addClass('tottva'+tvaform);
		
		/*Calcul des tarifs de la ligne sélectionnée*/
		var totht = tarif*qte;
		var tottva = tva*totht/100;
		var totttc = tottva+totht;
			
		/*Affichage des tarifs de la ligne selectionnée*/
		$(this).parent().parent().find('.totht').text(totht);
		$(this).parent().parent().find('.tottva2').text(tottva);
		$(this).parent().parent().find('.totttc').text(totttc);
		calctva();
	});

	/*lignes devis/facture*/
    $('.actionbutton').on('click','.addligne',function(e){
		
		event.preventDefault();
		
		var desc = $( "#produit option:selected" ).attr('desc');
		var tarif = $( "#produit option:selected" ).attr('tarif');
		var tva = $( "#produit option:selected" ).attr('tva');
		var test = $.trim($( ".newligne" ).last().find('textarea').val());
		

		if 	(test !== ''){
			
			$( ".firstligne" ).clone().appendTo( ".lignedoc" );
			$( ".newligne" ).last().removeClass("firstligne");
			$( ".newligne" ).last().find( "label").remove();
			
			$( ".newligne" ).last().find('.totht').text("0€");
			$( ".newligne" ).last().find('.tottva2').text("0€");
			$( ".newligne" ).last().find('.totttc').text("0€");
			
		};
		
		var numItems = $('.newligne').length;
			
		$( ".newligne" ).last().find( ".devfactextarea").val(desc).attr("name","ligne["+numItems+"][description]");
		$( ".newligne" ).last().find( ".totqte").val("").attr("name","ligne["+numItems+"][taux]");
		$( ".newligne" ).last().find( ".tottarif").val(tarif).attr("name","ligne["+numItems+"][tarif]");
		$( ".newligne" ).last().find( "[name='ligne[1][tva]']").val(tva).change().attr("name","ligne["+numItems+"][tva]");

		textareaheight();
			
	});
	
	$('.lignedoc').on('click','.removeligne',function(e){
		event.preventDefault();
		$(this).parent().parent().parent().parent().remove();
		calctva();
	});
	
	/*text file input*/
     $('input[type="file"]').change(function(e){
        var fileName = e.target.files[0].name;
        $('#uploaddoc').html(" "+fileName);
     });
	
};


//fonctions jquery
function calctva(){
	var sumht = 0;
		
	/*total ht de la facture*/
	$('.totht').each(function(){
		sumht += parseFloat($(this).text());
	});

	/*calcul des 5 TVA de la facture suivant le pourcentage*/
	var sumtva20 = 0;$('.tottva20').each(function(){sumtva20 += parseFloat($(this).text());});
	var sumtva10 = 0;$('.tottva10').each(function(){sumtva10 += parseFloat($(this).text());});
	var sumtva5_5 = 0;$('.tottva5_5').each(function(){sumtva5_5 += parseFloat($(this).text());});
	var sumtva2_1 = 0;$('.tottva2_1').each(function(){sumtva2_1 += parseFloat($(this).text());});
	/*calcul du total TTC de la facture*/
	var sumttc = sumht+sumtva20+sumtva10+sumtva5_5+sumtva2_1;

	/*insertion des résultats dans les div pour affichage et traitement PDF*/
	$("#doctotht").text(sumht);
	if (sumtva20!=0){$("#doctottva20").text("TVA 20% : "+sumtva20+"€ /");}else{$("#doctottva20").text("");}
	if (sumtva10!=0){$("#doctottva10").text("TVA 10% : "+sumtva10+"€ /");}else{$("#doctottva10").text("");}
	if (sumtva5_5!=0){$("#doctottva5_5").text("TVA 5.5% : "+sumtva5_5+"€ /");}else{$("#doctottva5_5").text("");}
	if (sumtva2_1!=0){$("#doctottva2_1").text("TVA 2.1% : "+sumtva2_1+"€ /");}else{$("#doctottva2_1").text("");}
	$("#doctotttc").text(sumttc);
}
