<?php 
//calcul du nombre de contact
$sqlcounttot = "select count(*) as tot from ".$presql."_yucca_contact"; //nombres d entrees dans la db
$reqcounttot = mysqli_query($db, $sqlcounttot);//
$datacounttot = mysqli_fetch_assoc($reqcounttot);	//

//calcul du nombre de contact qui sont associé à une structure
$sqlcountpro= "select count(*) as pro from ".$presql."_yucca_contact WHERE id_structure !='0'";
$reqcountpro = mysqli_query($db, $sqlcountpro);
$datacountpro = mysqli_fetch_assoc($reqcountpro);

//calcul du nombre de contact qui ne sont pas associé à une structure
$sqlcountinde= "select count(*) as inde from ".$presql."_yucca_contact WHERE id_structure ='0'";
$reqcountinde = mysqli_query($db, $sqlcountinde);
$datacountinde = mysqli_fetch_assoc($reqcountinde);

//calcul du nombre de contact qui sont associé à bdx

if($datacounttot['tot']!=0){
	//$datacountville = mysqli_fetch_assoc($reqcountville);
	$pro=($datacountpro['pro']*100)/$datacounttot['tot'];
	$inde=($datacountinde['inde']*100)/$datacounttot['tot'];
};

//contacts récents						
$sqlliste= "select * from ".$presql."_yucca_contact ORDER BY id_contact DESC LIMIT 7";
$reqliste = mysqli_query($db, $sqlliste);

//on verifie chaque ville
// on crée un tableau qui receptionnera les villes
$villes=array();

$sqlville= "select * from ".$presql."_yucca_contact";
if(isset($droitmod["yucca_structure"])){
	$sqlville.= " LEFT JOIN ".$presql."_yucca_structure ON ".$presql."_yucca_structure.id_structure= ".$presql."_yucca_contact.id_structure";
};
$reqville = mysqli_query($db, $sqlville);


// on cherche dans les résultats sql
while ($dataville = mysqli_fetch_assoc($reqville)) {
	
	//on crée un variable $thisville qui prendra la valeur de la ville du contact ou de sa structure suivant la condition
	//condition : si le contact n'est pas associé à une structure $dataville['id_structure']==0 $thisville=$dataville['ville'], sinon $thisville=$dataville['ville_structure']
	if ($dataville['id_structure']==0) {
		
		$thisville=dlw_accents(dlw_dec($dataville['ville']),2);

	} else {
		
		$thisville=dlw_accents(dlw_dec($dataville['ville_structure']),2);
		
	};
	
	if (!empty($thisville)){
		if (isset($villes[$thisville])){$villes[$thisville]++;}else{$villes[$thisville]=1;};
	};

	
	
};	
	
arsort($villes); 

?>

<div class="accueil">
		<a class="head" href="/<?php echo $droitmod['yucca_contact'];?>"><h2><?php echo $droitmod['yucca_contact_titre'];?><span class="numberacc"><?php echo $datacounttot['tot'];?></span></h2></a>
		<div class="container">
			<div class="row samefix">
				<div class="col6 recent">
					<h3>Récents</h3>
						<div class="row">
							<div class="col12">									
							<?php while ($data = mysqli_fetch_assoc($reqliste)) { //rempl data?>  
								<a href="/<?php echo $droitmod['yucca_contact'];?>/fiche/<?php echo $data['id_contact'];?>"><?php echo dlw_dec($data['firstname'])." ".dlw_dec($data['name']);?></a>
							<?php };?>	
						</div>						
					</div>
				</div>
				<div class="col6 center">
					<i class="fas fa-user-tie"></i>
					<p><?php echo stat_circle( $pro );?></p>								
				</div>							
				<hr>				
				<div class="col12"><?php 
					$v = 1;

					foreach ($villes as $cle => $valeur) {
						if ($v<6) {

							$pourcville = $valeur*100/$datacounttot['tot'];
							?><div class="row samefix">
							<div class="col4"><?php echo $cle;?></div>
							<div class="col8"><?php echo stat_bar_h($pourcville);?></div></div>
						<?php 
						} 
						else {
							break;
						} 
						$v++; 
						rsort($villes);
					 }
				?></div>																											
			</div>
		</div>	
</div>
