<?php
$mois = array(1 =>'janvier','février','mars','avril','mai','juin','juillet','août','septembre','octobre','novembre','décembre');

	//configuration des couleurs
	
		$r1=0;$g1=0;$b1=0;	
		$r3=245;$g3=242;$b3=240;
	
	if (defined('CONFIG_coul') AND !empty(dlw_dec(CONFIG_coul))){
		
		$hex=dlw_dec(CONFIG_coul);list($r2, $g2, $b2) = sscanf($hex, "#%02x%02x%02x");			
			
	}else{
		
		$r2=42;$g2=204;$b2=112;
	};

require( ABSPATH ."/functions/fpdf/fpdf.php");
require( ABSPATH ."/functions/fpdf/rotation.php");



//configuration des constantes indispensables
if (!defined('CONFIG_title')){define("CONFIG_title",dlw_enc("Veuillez ajouter votre statut"));};
if (!defined('CONFIG_adresse')){define("CONFIG_adresse",dlw_enc("Veuillez ajouter votre adresse"));};
if (!defined('CONFIG_lien_wp')){define("CONFIG_lien_wp",dlw_enc(""));};
if (!defined('CONFIG_telephone')){define("CONFIG_telephone",dlw_enc("Veuillez ajouter votre numero de téléphone"));};
if (!defined('CONFIG_email')){define("CONFIG_email",dlw_enc("Veuillez ajouter votre email de contact"));};


class PDF extends PDF_Rotate
{
	//En-tete
	function Header()
	{	
		global $datadoc,$docname,$nomfac,$adresse,$thisnum,$r1,$r2,$r3,$g1,$g2,$g3,$b1,$b2,$b3;
		if ($this->page == 1){
			$this->SetTextColor($r1,$g1,$b1);
			$this->Cell(25,10,utf8_decode(dlw_dec(CONFIG_title)));
			$this->ln(0);
			$this->SetFont('','',9);
			$this->Cell(25,19,utf8_decode(dlw_dec(CONFIG_adresse)));
			$this->ln(0);
			$this->SetTextColor($r2,$g2,$b2);
			$this->SetFont('','U',10); 
			$this->Cell(25,36,utf8_decode(dlw_dec(CONFIG_lien_wp)),0,0,'L',false,utf8_decode(dlw_dec(CONFIG_lien_wp)));
			$this->ln(0);
			$this->SetTextColor($r1,$g1,$b1);
			$this->SetFont('','',9);
			$this->Cell(25,44,utf8_decode(dlw_dec(CONFIG_telephone)));
			$this->ln(0);
			$this->Cell(25,51,utf8_decode(dlw_dec(CONFIG_email)));
			$this->ln(10);
			$this->SetFont('','',20); 
			$this->Cell(25,60,utf8_decode('BILAN '.$_POST['annee']),0);$this->ln(0);
			$this->Image( ABSPATH .'/img/'.get_logo(''),150,15,-250);
		}else{
			$this->SetDrawColor($r1,$g1,$b1);
			$this->Image( ABSPATH .'/img/'.get_logo(''),182,15,-800);
			$this->SetFont('','',8);    
			$this->SetTextColor($r1,$g1,$b1);
			$this->Cell(0,10,utf8_decode('BILAN '.$_POST['annee']),0);$this->ln(4);
			$this->Cell(0,10,utf8_decode(dlw_dec(CONFIG_title)));$this->ln(0);
			$this->SetFillColor($r1,$g1,$b1);
			$this->Line(10, 22, 210-10, 22);
			$this->SetY(30);		
		};
		$this->SetFont('','',100);
		$this->SetTextColor(245,245,245);
	}

	//Pied de page
	function Footer()
	{	
		global $docname,$r1,$r2,$r3,$g1,$g2,$g3,$b1,$b2,$b3;
		$this->SetDrawColor($r1,$g1,$b1);$this->SetTextColor($r1,$g1,$b1);
		$this->Line(10, 270, 210-10, 270);
		$this->SetY(275);
		$this->SetFont('','',9);$this->SetTextColor($r2,$g2,$b2);
		if (defined('CONFIG_footer1')){
			$this->Cell(0,8,utf8_decode(dlw_dec(CONFIG_footer1)),0,0,'L',false);$this->ln(2);
		};
		$this->SetTextColor($r1,$g1,$b1);		
		if (defined('CONFIG_footer2')){
			$this->Cell(0,13,utf8_decode(dlw_dec(CONFIG_footer2)),0,0,'L',false);$this->ln(0);
		};
		if (defined('CONFIG_footer3')){
			$this->Cell(0,20,utf8_decode(dlw_dec(CONFIG_footer3)),0,0,'L',false);$this->ln(0);
		};
		$this->SetTextColor($r1,$g1,$b1);
		$this->Cell(0,26,$this->PageNo().'/{nb}',0,0,'R');$this->ln(0);
	}
}

$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddFont('Josefin','','Josefin.php');
$pdf->SetFont('Josefin','',7);    
$pdf->SetMargins(10,10);
$pdf->SetLineWidth(0.1);
$pdf->SetAutoPagebreak(true,30);
$pdf->AddPage();
$pdf->setY(60);


//tableau recettes
$sqlmois = "select * from ".$presql."_yucca_document
			LEFT JOIN ".$presql."_yucca_projet ON ".$presql."_yucca_document.id_projet = ".$presql."_yucca_projet.id_projet
			where YEAR(date_reception) ='".$_POST['annee']."' AND type_doc= 'rec' AND type_reglement != 'non' ORDER BY date_reception ASC";
$reqmois = mysqli_query($db, $sqlmois);

			$pdf->SetTextColor($r1,$g1,$b1);
			$pdf->Cell(0,10,utf8_decode('RECETTES '.$_POST['annee']),0);$pdf->ln(10);
			
while ($datamois = mysqli_fetch_assoc($reqmois)){
	
	$pdf->SetTextColor($r1,$g1,$b1);
	$pdf->Cell(18,6,utf8_decode(substr($datamois['date_reception'],0,10)),1,0,'L',false);
	$pdf->Cell(20,6,utf8_decode(dlw_dec($datamois['libelle'])),1,0,'L',false);
	$pdf->SetTextColor($r2,$g2,$b2);
	$pdf->Cell(16,6,utf8_decode(substr(dlw_dec($datamois['name_doc']),0,10)),1,0,'L',false);
	$pdf->SetTextColor($r1,$g1,$b1);
	
	
	/*si le projet n'est pas associé à une structure, on récupère le contact*/
	if($datamois['id_structure'] == 0){
		
		$thiscontact=explode(";",$datamois['ids_contact']);
		
		$sqlcontact = "select id_contact,firstname,name,adresse,cp,ville from ".$presql."_yucca_contact where id_contact = ".$thiscontact[0];
		$reqcontact = mysqli_query($db, $sqlcontact);
		$datacontact = mysqli_fetch_assoc($reqcontact);

		$thisname=ucfirst(strtolower(dlw_dec($datacontact['firstname']))).' '.strtoupper(dlw_dec($datacontact['name']));
		$thisadresse=dlw_dec($datacontact['adresse']).', '.dlw_dec($datacontact['cp']).' '.dlw_dec($datacontact['ville']);

	/*sinon on récupère les infos de la structure*/
	}else{
				
		$sqlstructure = "select id_structure,structure,adresse_structure,cp_structure,ville_structure from ".$presql."_yucca_structure where id_structure = ".$datamois['id_structure'];
		$reqstructure = mysqli_query($db, $sqlstructure);
		$datastructure = mysqli_fetch_assoc($reqstructure);		
		
		$thisname=strtoupper(dlw_dec($datastructure['structure']));
		$thisadresse=dlw_dec($datastructure['adresse_structure']).', '.dlw_dec($datastructure['cp_structure']).' '.dlw_dec($datastructure['ville_structure']);
		
	};
	
	$pdf->Cell(46,6,utf8_decode($thisname),1,0,'L',false);
	$pdf->Cell(69,6,utf8_decode($thisadresse),1,0,'L',false);
	$pdf->SetTextColor($r2,$g2,$b2);	
	
	/*Calcul de la recette et extraction TVA*/
	
	$sql_thisdoc = "select *,".$presql."_yucca_documentligne.tarif as lignetarif from ".$presql."_yucca_documentligne where id_document ='".$datamois['id_document']."'";
	$req_thisdoc = mysqli_query($db, $sql_thisdoc);
	
	$recettes=0;$tvarecettes=0;		
			
	while ($data_thisdoc = mysqli_fetch_assoc($req_thisdoc)){
		$recettes=$recettes+($data_thisdoc['quantite']*$data_thisdoc['lignetarif']);
		$tvarecettes=$tvarecettes+($data_thisdoc['quantite']*$data_thisdoc['lignetarif']*$data_thisdoc['tva']/100);
	};
	
	$total_recettes+=$recettes;$total_tvarecettes+=$tvarecettes;

	
	$pdf->Cell(10,6,utf8_decode($recettes).chr(128),1,0,'R',false);
	$pdf->Cell(0,6,utf8_decode($tvarecettes).chr(128),1,0,'R',false);
	$pdf->ln(6);

};

//tableau depenses
$sqlmois = "select * from ".$presql."_yucca_document
			LEFT JOIN ".$presql."_yucca_projet ON ".$presql."_yucca_document.id_projet = ".$presql."_yucca_projet.id_projet
			where YEAR(date_reception) ='".$_POST['annee']."' AND type_doc= 'dep' ORDER BY date_reception ASC";
$reqmois = mysqli_query($db, $sqlmois);

$pdf->ln(10);
$pdf->SetTextColor($r1,$g1,$b1);
$pdf->Cell(0,10,utf8_decode('DEPENSES '.$_POST['annee']),0);$pdf->ln(10);
			
while ($datamois = mysqli_fetch_assoc($reqmois)){
	
	$pdf->SetTextColor($r1,$g1,$b1);
	$pdf->Cell(18,6,utf8_decode(substr($datamois['date_reception'],0,10)),1,0,'L',false);
	$pdf->Cell(20,6,utf8_decode(dlw_dec($datamois['libelle'])),1,0,'L',false);
	$pdf->SetTextColor($r2,$g2,$b2);
	$pdf->Cell(16,6,utf8_decode(substr(dlw_dec($datamois['name_doc']),0,10)),1,0,'L',false);
	$pdf->SetTextColor($r1,$g1,$b1);
	
	
	/*si le projet n'est pas associé à une structure, on récupère le contact*/
	if($datamois['id_structure'] == 0){
		
		$thiscontact=explode(";",$datamois['ids_contact']);
		
		$sqlcontact = "select id_contact,firstname,name,adresse,cp,ville from ".$presql."_yucca_contact where id_contact = ".$thiscontact[0];
		$reqcontact = mysqli_query($db, $sqlcontact);
		$datacontact = mysqli_fetch_assoc($reqcontact);

		$thisname=ucfirst(strtolower(dlw_dec($datacontact['firstname']))).' '.strtoupper(dlw_dec($datacontact['name']));
		$thisadresse=dlw_dec($datacontact['adresse']).', '.dlw_dec($datacontact['cp']).' '.dlw_dec($datacontact['ville']);

	/*sinon on récupère les infos de la structure*/
	}else{
				
		$sqlstructure = "select id_structure,structure,adresse_structure,cp_structure,ville_structure from ".$presql."_yucca_structure where id_structure = ".$datamois['id_structure'];
		$reqstructure = mysqli_query($db, $sqlstructure);
		$datastructure = mysqli_fetch_assoc($reqstructure);		
		
		$thisname=strtoupper(dlw_dec($datastructure['structure']));
		$thisadresse=dlw_dec($datastructure['adresse_structure']).', '.dlw_dec($datastructure['cp_structure']).' '.dlw_dec($datastructure['ville_structure']);
		
	};
	
	$pdf->Cell(46,6,utf8_decode($thisname),1,0,'L',false);
	$pdf->Cell(69,6,utf8_decode($thisadresse),1,0,'L',false);
	$pdf->SetTextColor($r2,$g2,$b2);
	
	/*Calcul de la depense et extraction TVA*/
	
	$sql_thisdoc = "select *,".$presql."_yucca_documentligne.tarif as lignetarif from ".$presql."_yucca_documentligne where id_document ='".$datamois['id_document']."'";
	$req_thisdoc = mysqli_query($db, $sql_thisdoc);
	
	$depenses=0;$tvadepenses=0;
							
	while ($data_thisdoc = mysqli_fetch_assoc($req_thisdoc)){
		$depenses=$depenses+($data_thisdoc['quantite']*$data_thisdoc['lignetarif']);
		$tvadepenses=$tvadepenses+($data_thisdoc['quantite']*$data_thisdoc['lignetarif']*$data_thisdoc['tva']/100);
	};
	
	$total_depenses+=$depenses;$total_tvadepenses+=$tvadepenses;

	$pdf->Cell(10,6,utf8_decode($depenses).chr(128),1,0,'R',false);
	$pdf->Cell(0,6,utf8_decode($tvadepenses).chr(128),1,0,'R',false);
	$pdf->ln(6);

};

$pdf->ln(10);
$pdf->SetTextColor($r1,$g1,$b1);
$pdf->Cell(0,10,'RECETTES HT : '.$total_recettes.chr(128).' - TVA REVERSABLE : '.$total_tvarecettes.chr(128),0);$pdf->ln(4);
$pdf->Cell(0,10,'DEPENSES HT : '.$total_depenses.chr(128).' - TVA RECUPERABLE : '.$total_tvadepenses.chr(128),0);$pdf->ln(4);
$pdf->Cell(0,10,'BENEFICE NET '.$_POST['annee'].' : '.($total_recettes - $total_depenses).chr(128).' - TOTAL TVA : '.($total_tvarecettes - $total_tvadepenses).chr(128),0);$pdf->ln(10);




$pdf->Output($_POST['annee'].'-Bilan.pdf','I');
?>
