<?php 

/*
 * Gestion des documents factures/devis et état
 * 
 * 0 = brouillon
 * 1 = document envoyé au client
 * 
 * */


/*
 * MODE VISUALISATION SEULE
 * 
 * 
 * 
 * 
 * */
if ($_POST['submit']=="visualiser"){
	
	//configuration des constantes indispensables
	if (!defined('CONFIG_title')){define("CONFIG_title",dlw_enc("Veuillez ajouter votre statut"));};
	if (!defined('CONFIG_emailrep')){define("CONFIG_emailrep",dlw_enc("Veuillez ajouter une adresse de correspondance"));};
	if (!defined('CONFIG_adresse')){define("CONFIG_adresse",dlw_enc("Veuillez ajouter votre adresse"));};
	if (!defined('CONFIG_telephone')){define("CONFIG_telephone",dlw_enc("Veuillez ajouter votre numero de téléphone"));};
	if (!defined('CONFIG_mentions_devis')){define("CONFIG_mentions_devis",dlw_enc("Veuillez ajouter vos mentions légales"));};
	if (!defined('CONFIG_val_devis')){define("CONFIG_val_devis",dlw_enc("Veuillez ajouter une période de validité"));};
	if (!defined('CONFIG_modele_doc')){define("CONFIG_modele_doc",dlw_enc("clair"));};
	if (!defined('CONFIG_delay_proj')){define("CONFIG_delai_proj",dlw_enc("Veuillez définir des délais d'éxécution"));};

	
	//informations sur le projet
	$sqlproj = "select * from ".$presql."_yucca_projet where id_projet=".$_GET['param1'];	
	$reqproj = mysqli_query($db, $sqlproj);
	$dataproj = mysqli_fetch_assoc($reqproj);
		
	//si le projet est attaché à une structure, on récupère les informations
	if (!empty($dataproj['id_structure']) AND isset($droitmod['yucca_structure'])){
						
		$sqlstruc = "select * from ".$presql."_yucca_structure where id_structure = ".$dataproj['id_structure'];
		$reqstruc = mysqli_query($db, $sqlstruc);
		$datastruc = mysqli_fetch_assoc($reqstruc);
						
		$nomfac=dlw_dec($datastruc['structure']);
		if(!empty(dlw_dec($datastruc['adresse_structure']))){
			
			$adresse =' - '.dlw_dec($datastruc['adresse_structure']).', '.dlw_dec($datastruc['cp_structure']).' '.dlw_dec($datastruc['ville_structure']);
			
		};
			
	//sinon c'est un contact unique, on récupère ses infos
	}else if (isset($droitmod['yucca_contact'])){
					
	$thiscontact=explode(";",$dataproj['ids_contact']);
	$sqlcont = "select * from ".$presql."_yucca_contact where id_contact = ".$thiscontact[0];

		if($reqcont = mysqli_query($db, $sqlcont)){
			
			$datacont = mysqli_fetch_assoc($reqcont);
						
			$nomfac=dlw_dec($datacont['firstname'])." ".dlw_dec($datacont['name']);
			if(!empty(dlw_dec($datacont['adresse']))){
				
				$adresse =' - '.dlw_dec($datacont['adresse']).', '.dlw_dec($datacont['cp']).' '.dlw_dec($datacont['ville']);

			};
			
		};
	};			
		
	//Le document est déjà enregistré
	if(isset($_GET['param2'])){
		
		$sqldoc = "select * from ".$presql."_yucca_document where id_document=".$_GET['param2'];	
		$reqdoc = mysqli_query($db, $sqldoc);
		$datadoc = mysqli_fetch_assoc($reqdoc);		
		
		//Si le document est en mode verrouillé, on remplace les variables POST par les infos de la Bdd
		if($datadoc['doc_etat']!=0){

			//Mode vérrouillé,on recupère les données bdd dans un tableau POST pour garder les mêmes variables
			//ce qui rend inopérante la modification du HTML
			
			$_POST['reference']=dlw_dec($dataproj['libelle']);
			$_POST['resume']=dlw_dec($dataproj['sstitle']);
			$_POST['date_fac']=date("Y-m-d",strtotime($datadoc['date_emission']));
			$_POST['delai_proj']=dlw_dec($datadoc['delai']);
			$_POST['date_proj']=date("Y-m-d",strtotime($datadoc['date_execution']));
							
			$sqldocumentligne = "select * from ".$presql."_yucca_documentligne where id_document =".$_GET['param2'];
			$reqdocumentligne = mysqli_query($db, $sqldocumentligne);$i=0;
			unset ($_POST['ligne']);
			while ($datadocumentligne = mysqli_fetch_assoc($reqdocumentligne)){
				$_POST['ligne'][$i]=array('description'=>$datadocumentligne['designation'],
								'tarif'=>$datadocumentligne['tarif'],
								'taux'=>$datadocumentligne['quantite'],
								'tva'=>$datadocumentligne['tva']);
				$i++;
			};
			
			$thisnum = dlw_dec($datadoc['name_doc']);
		//sinon	on est toujours en mode brouillon
		}else{
			$thisnum = "XXXXX-XXXX";
		};
		
	}else{
		$thisnum = "XXXXX-XXXX";
	};
		

	//informations factures / devis necessaire à la visualisation
	switch ($_GET['demande']) {      	        	   	    
		case "facture":
		$docname="FACTURE";
		$dateinfo="DATE";
		$type_doc="rec";
		$type_reg="non";
		$file_cloud = $thisnum.'-Facture_'.utf8_decode(dlw_accents(dlw_dec(CONFIG_title),'1')).'_'.utf8_decode(dlw_accents($nomfac,'1')).'.pdf';
		break;
				
		case "devis":
		$docname="DEVIS";
		$dateinfo="DÉLAI";
		$type_doc="dev";
		$type_reg="non";
		$file_cloud = $thisnum.'-Devis_'.utf8_decode(dlw_accents(dlw_dec(CONFIG_title),'1')).'_'.utf8_decode(dlw_accents($nomfac,'1')).'.pdf';
		break;	    	    
	};
		
	//configuration des couleurs	
	if (defined('CONFIG_coul') AND !empty(dlw_dec(CONFIG_coul))){
		
		$hex=dlw_dec(CONFIG_coul);list($r2, $g2, $b2) = sscanf($hex, "#%02x%02x%02x");			
			
	}else{
		
		$r2=42;$g2=204;$b2=112;
	};
	
	require( ABSPATH ."/functions/fpdf/fpdf.php");
	require( ABSPATH ."/functions/fpdf/rotation.php");		

	include("modeles/".dlw_dec(CONFIG_modele_doc).".php");
	//sortie PDF visualisation
	$pdf->Output($file_cloud,'D');
	exit;
	
/*
 * MODE ENREGISTREMENT SEUL
 * 
 * 
 * 
 * 
 * */
}else if ($_POST['submit'] =="ENREGISTRER"){

	//verification du verrouillage du document
	if(isset($_GET['param2'])){
		$sqldoc = "select * from ".$presql."_yucca_document
					LEFT JOIN ".$presql."_yucca_projet ON ".$presql."_yucca_document.id_projet= ".$presql."_yucca_projet.id_projet
					where ".$presql."_yucca_document.id_document=".$_GET['param2'];
		$reqdoc = mysqli_query($db, $sqldoc);
		$datadoc = mysqli_fetch_assoc($reqdoc);
	};
		
		//document vérrouillé, on n'update que le mode de réception de la facture
		if( isset($datadoc['doc_etat']) AND $datadoc['doc_etat']!=0){

				mysqli_query($db, "UPDATE ".$presql."_yucca_document SET type_reglement ='".$_POST['reglement']."', date_reception = '".$_POST['date_reception']."' WHERE id_document = '".$_GET['param2']."'");
				$ok = "Enregistrement effectué";

		}else{
			
			//informations factures / devis necessaire à l 'enregistrement
			switch ($_GET['demande']) {    
				  	        	   	    
				case "facture":
				$docetat="0";
				$docname="FACTURE";
				$dateinfo="DATE";
				$type_doc="rec";
				$type_reg="non";
				break;
						
				case "devis":
				$docetat="0";
				$docname="DEVIS";
				$dateinfo="DÉLAI";
				$type_doc="dev";
				$type_reg="non";
				break;
				
				case "depense":
				
					//vérification de l'identifiant fournisseur
					if(empty($_POST['id_fournisseur'])){
						header("Location: https://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]?nok='Veuillez indiquer un fournisseur'");
						exit();
					}else{
						$docetat="1";
						if (!empty($_POST['facnumber'])){$docname=$_POST['facnumber']; }else{ $docname="Sans numéro"; };
						$dateinfo="DÉLAI";
						$type_doc="dep";
						$type_reg=$_POST['reglement'];
					};
					
				break;				
					    	    
			};	
			
			//calcul du montant TTC de la facture
			$totalht=0;
			$totalttc=0;	
			
			foreach($_POST['ligne'] as $ligne) {
				
				foreach($ligne as $key => $value) {
					$ligne[$key] = mysqli_real_escape_string($db,$value);
				};
				
				if (empty($ligne['tarif'])){$ligne['tarif']=0;};
				if (empty($ligne['taux'])){$ligne['taux']=0;};
				if (empty($ligne['tva'])){$ligne['tva']=0;};

				$totalligneht=($ligne['tarif']*$ligne['taux']);	
				$tvaligne=($totalligneht*$ligne['tva']/100);
				$totallignettc=$totalligneht+$tvaligne;
				$totalht+=$totalligneht;
				$totalttc+=$totallignettc;
			};		
				
			//création de l'entrée id-fournisseur si inexistante
			if(empty($_POST['id_fournisseur'])){$_POST['id_fournisseur'] = 0;};
					
			//Nouveau document sans id 
			if(!isset($_GET['param2'])){
				
				//si le document est une facture ou un devis, on enregistre la date d'execution, la date d'emission étant automatique
				//si c'est une dépense, on enregistre la date de reception
				switch ($_GET['demande']) {      	        	   	    
				case "facture":
				case "devis":
					$datesql = "date_execution";
				break;
				
				case "depense":
					$datesql = "date_reception";
				break;				
					    	    
				};

				//enregistrement sql avec numéro brouillon et récupération id doc	
				mysqli_query($db, "INSERT INTO ".$presql."_yucca_document (id_projet,id_fournisseur,type_doc,type_reglement,tarif,name_doc,".$datesql.",delai,doc_etat,ref_paiement)
				VALUES ('".$_POST['id_projet']."','".$_POST['id_fournisseur']."','".$type_doc."','".$type_reg."','".dlw_enc($totalttc)."','".dlw_enc($docname)."','".$_POST['date_proj']."','".dlw_enc($_POST['delai_proj'])."','".$docetat."','".dlw_enc($_POST['ref_pay'])."')");
			
				$thisfac=mysqli_insert_id($db);
				foreach($_POST['ligne'] as $ligne) {
					foreach($ligne as $key => $value) {
						$ligne[$key] = mysqli_real_escape_string($db,$value);
					};		
					mysqli_query($db, "INSERT INTO ".$presql."_yucca_documentligne (id_document,designation,quantite,tarif,tva) VALUES ('".$thisfac."','".$ligne['description']."','".$ligne['taux']."','".$ligne['tarif']."','".$ligne['tva']."')");
				};
			
			//document existant, on update le document principal car c'est un brouillon
			}else{
				
				mysqli_query($db, "UPDATE ".$presql."_yucca_document SET tarif ='".dlw_enc($totalttc)."', delai = '".dlw_enc($_POST['delai_proj'])."', doc_etat = '".$docetat."' WHERE id_document = '".$_GET['param2']."'");
				$thisfac=$_GET['param2'];
				
				//on supprime les lignes et on les recrée
				mysqli_query($db, "DELETE FROM ".$presql."_yucca_documentligne WHERE id_document = '".$_GET['param2']."'");
				foreach($_POST['ligne'] as $ligne) {
					foreach($ligne as $key => $value) {
						$ligne[$key] = mysqli_real_escape_string($db,$value);
					};
					mysqli_query($db, "INSERT INTO ".$presql."_yucca_documentligne (id_document,designation,quantite,tarif,tva) VALUES ('".$thisfac."','".$ligne['description']."','".$ligne['taux']."','".$ligne['tarif']."','".$ligne['tva']."')");
				};
				
			};
		
			//renvoi avec statut
			header("location:/".$droitmod['yucca_document']."/".$_GET['demande']."/".$_GET['param1']."/".$thisfac.'?ok=Enregistré');
			exit;
		}

	
/*
 * MODE VERROUILLAGE ET ENVOI
 * 
 * 
 * 
 * 
 * */
}else if ($_POST['submit'] =="envoyer"){
	
	
	//Avant envoi client, vérification des parmètres obligatoires
	
	if (
	       !defined('CONFIG_title') 
		OR !defined('CONFIG_adresse') 
		OR !defined('CONFIG_emailrep') 
		OR !defined('CONFIG_telephone')
		OR !defined('CONFIG_mentions_devis')
		OR !defined('CONFIG_val_devis')
		OR !defined('CONFIG_modele_doc')
		OR !defined('CONFIG_delai_devis')
		
	){
		
		$nok="Veuillez compléter la configuration du module";
		
	}else{
	
	//informations sur le projet
	$sqlproj = "select * from ".$presql."_yucca_projet where id_projet=".$_GET['param1'];	
	$reqproj = mysqli_query($db, $sqlproj);
	$dataproj = mysqli_fetch_assoc($reqproj);
		
	//si le projet est attaché à une structure, on récupère les informations
	if (!empty($dataproj['id_structure']) AND isset($droitmod['yucca_structure'])){
						
		$sqlstruc = "select * from ".$presql."_yucca_structure where id_structure = ".$dataproj['id_structure'];
		$reqstruc = mysqli_query($db, $sqlstruc);
		$datastruc = mysqli_fetch_assoc($reqstruc);
						
		$nomfac=dlw_dec($datastruc['structure']);
		if(!empty(dlw_dec($datastruc['adresse_structure']))){
			
			$adresse =' - '.dlw_dec($datastruc['adresse_structure']).', '.dlw_dec($datastruc['cp_structure']).' '.dlw_dec($datastruc['ville_structure']);
			
		};
			
	//sinon c'est un contact unique, on récupère ses infos
	}else{
					
	$thiscontact=explode(";",$dataproj['ids_contact']);
	$sqlcont = "select * from ".$presql."_yucca_contact where id_contact = ".$thiscontact[0];

		if($reqcont = mysqli_query($db, $sqlcont)){
			
			$datacont = mysqli_fetch_assoc($reqcont);
						
			$nomfac=dlw_dec($datacont['firstname'])." ".dlw_dec($datacont['name']);
			if(!empty(dlw_dec($datacont['adresse']))){
				
				$adresse =' - '.dlw_dec($datacont['adresse']).', '.dlw_dec($datacont['cp']).' '.dlw_dec($datacont['ville']);
				
			};
			
		};
	};
	
	
	//verification du verrouillage du document
	if(isset($_GET['param2'])){
		$sqldoc = "select * from ".$presql."_yucca_document where ".$presql."_yucca_document.id_document='".$_GET['param2']."'";	
		$reqdoc = mysqli_query($db, $sqldoc);
		$datadoc = mysqli_fetch_assoc($reqdoc);	
	};
		
		//si document n'a pas déjà été envoyé
		if($datadoc['doc_etat']==0 or !$datadoc['doc_etat']){
						
			//récupération du numéro de document
			$sql = "select name_doc,date_emission from ".$presql."_yucca_document ORDER BY date_emission DESC";
			setlocale(LC_TIME, 'fr_FR.utf8');
			$req = mysqli_query($db, $sql);
			
			$docletter=strtoupper(substr($_GET['demande'],0,1));
			
			while($sqlnumfac = mysqli_fetch_assoc($req)){
				//on stocke les infos décodées dans un array
				if((substr(dlw_dec($sqlnumfac['name_doc']),0,1)==$docletter) AND (dlw_dec($sqlnumfac['name_doc']) !== "FACTURE") AND (dlw_dec($sqlnumfac['name_doc']) !== "DEVIS")){
					$tabnumfac[]=dlw_dec($sqlnumfac['name_doc']);		
				};
			};
			
			//on récupère ce numéro et on l'incrémente
			if(!empty($tabnumfac)){
				
				rsort($tabnumfac);
				$lastnum = substr($tabnumfac[0],-4);
				$lastnum++;
				
			}else{
			
				switch ($_GET['demande']) {      	        	   	    
					case "facture":
						if(defined('CONFIG_firstnum_facture') AND !empty(dlw_dec(CONFIG_firstnum_facture))){
							$lastnum=dlw_dec(CONFIG_firstnum_facture);
						}else{
							$lastnum=1;
						}
						break;
						
					case "devis":
						if(defined('CONFIG_firstnum_devis') AND !empty(dlw_dec(CONFIG_firstnum_devis))){
							$lastnum=dlw_dec(CONFIG_firstnum_devis);
						}else{
							$lastnum=1;
						}						
					break;	    	    
				};	
				
			};
			
			//numéro du document
			$thisnum = $docletter.date('Y')."-".str_pad($lastnum, 4, "0", STR_PAD_LEFT);

			//information suivant demande
			switch ($_GET['demande']) {      	        	   	    
				case "facture":
					$docname="FACTURE";
					$dateinfo="DATE";
					$type_doc="rec";
					$type_reg="non";
					$file_cloud = $thisnum.'-Facture_'.utf8_decode(dlw_accents(dlw_dec(CONFIG_title),'1')).'_'.utf8_decode(dlw_accents($nomfac,'1')).'.pdf';
					$folder_cloud = 'Factures/'.date('Y').'/';
					$datesql = "date_execution";
				break;
						
				case "devis":
					$docname="DEVIS";
					$dateinfo="DÉLAI";
					$type_doc="dev";
					$type_reg="non";
					$file_cloud = $thisnum.'-Devis_'.utf8_decode(dlw_accents(dlw_dec(CONFIG_title),'1')).'_'.utf8_decode(dlw_accents($nomfac,'1')).'.pdf';
					$folder_cloud = 'Devis/'.date('Y').'/';
					$datesql = "date_execution";
				break;
				 
				case "depense":
					$datesql = "date_reception";
				break;					
				
				  	    
			};		
			
			//calcul du montant TTC de la facture
			$totalht=0;
			$totalttc=0;
			
			foreach($_POST['ligne'] as $ligne) {
				
				foreach($ligne as $key => $value) {
					$ligne[$key] = mysqli_real_escape_string($db,$value);
				};
				
				if (empty($ligne['tarif'])){$ligne['tarif']=0;};
				if (empty($ligne['taux'])){$ligne['taux']=0;};
				if (empty($ligne['tva'])){$ligne['tva']=0;};

				$totalligneht=($ligne['tarif']*$ligne['taux']);	
				$tvaligne=($totalligneht*$ligne['tva']/100);
				$totallignettc=$totalligneht+$tvaligne;
				$totalht+=$totalligneht;
				$totalttc+=$totallignettc;
			};
			
			//création de l'entrée id-fournisseur si inexistante
			if(empty($_POST['id_fournisseur'])){$_POST['id_fournisseur'] = 0;};		
					
			//Nouveau document sans id 
			if(!isset($_GET['param2'])){
				
				//si le document est une facture ou un devis, on enregistre la date d'execution, la date d'emission étant automatique
				//si c'est une dépense, on enregistre la date de reception
				switch ($_GET['demande']) {      	        	   	    
				case "facture":
				case "devis":
					$datesql = "date_execution";
				break;
				
				case "depense":
					$datesql = "date_reception";
				break;				
					    	    
				};

				//enregistrement sql avec numéro brouillon et récupération id doc	
				mysqli_query($db, "INSERT INTO ".$presql."_yucca_document (id_projet,id_fournisseur,type_doc,type_reglement,tarif,name_doc,".$datesql.",delai,doc_etat,ref_paiement)
				VALUES ('".$_POST['id_projet']."','".$_POST['id_fournisseur']."','".$type_doc."','".$type_reg."','".dlw_enc($totalttc)."','".dlw_enc($thisnum)."','".$_POST['date_proj']."','".dlw_enc($_POST['delai_proj'])."','1','".dlw_enc($_POST['ref_pay'])."')");
			
				$thisfac=mysqli_insert_id($db);
				foreach($_POST['ligne'] as $ligne) {
					foreach($ligne as $key => $value) {
						$ligne[$key] = mysqli_real_escape_string($db,$value);
					};		
					mysqli_query($db, "INSERT INTO ".$presql."_yucca_documentligne (id_document,designation,quantite,tarif,tva) VALUES ('".$thisfac."','".$ligne['description']."','".$ligne['taux']."','".$ligne['tarif']."','".$ligne['tva']."')");
				};
			
			//document existant, on update le document principal seulement si c'est un brouillon
			}else{
				mysqli_query($db, "UPDATE ".$presql."_yucca_document SET tarif ='".dlw_enc($totalttc)."', name_doc='".dlw_enc($thisnum)."', delai = '".dlw_enc($_POST['delai_proj'])."' WHERE id_document = '".$_GET['param2']."'");
				$thisfac=$_GET['param2'];
				
				//on supprime les lignes et on les recrée
				mysqli_query($db, "DELETE FROM ".$presql."_yucca_documentligne WHERE id_document = '".$_GET['param2']."'");
				foreach($_POST['ligne'] as $ligne) {
					foreach($ligne as $key => $value) {
						$ligne[$key] = mysqli_real_escape_string($db,$value);
					};
					mysqli_query($db, "INSERT INTO ".$presql."_yucca_documentligne (id_document,designation,quantite,tarif,tva) VALUES ('".$thisfac."','".$ligne['description']."','".$ligne['taux']."','".$ligne['tarif']."','".$ligne['tva']."')");
				};
			};
			
			
		//Mode vérrouillé,on recupère les données bdd dans un tableau POST pour garder les mêmes variables
		//ce qui rend inopérante la modification du HTML			
		}else{

			$thisnum = dlw_dec($datadoc['name_doc']);	
			$thisfac=$_GET['param2'];

			//informations factures / devis necessaire à la visualisation
			switch ($_GET['demande']) {      	        	   	    
				case "facture":
				$docname="FACTURE";
				$dateinfo="DATE";
				$type_doc="rec";
				$type_reg="non";
				$file_cloud = $thisnum.'-Facture_'.utf8_decode(dlw_accents(dlw_dec(CONFIG_title),'1')).'_'.utf8_decode(dlw_accents($nomfac,'1')).'.pdf';
				$folder_cloud = 'Factures/'.date('Y').'/';
				break;
						
				case "devis":
				$docname="DEVIS";
				$dateinfo="DÉLAI";
				$type_doc="dev";
				$type_reg="non";
				$file_cloud = $thisnum.'-Devis_'.utf8_decode(dlw_accents(dlw_dec(CONFIG_title),'1')).'_'.utf8_decode(dlw_accents($nomfac,'1')).'.pdf';
				$folder_cloud = 'Devis/'.date('Y').'/';
				break;	    	    
			};				
			
			$_POST['reference']=dlw_dec($dataproj['libelle']);
			$_POST['resume']=dlw_dec($dataproj['sstitle']);
			$_POST['date_fac']=date("Y-m-d",strtotime($datadoc['date_emission']));
			$_POST['delai_proj']=dlw_dec($datadoc['delai']);
			$_POST['date_proj']=date("Y-m-d",strtotime($datadoc['date_execution']));
							
			$sqldocumentligne = "select * from ".$presql."_yucca_documentligne where id_document =".$_GET['param2'];
			$reqdocumentligne = mysqli_query($db, $sqldocumentligne);$i=0;
			unset ($_POST['ligne']);
			while ($datadocumentligne = mysqli_fetch_assoc($reqdocumentligne)){
				$_POST['ligne'][$i]=array(
								'description'=>$datadocumentligne['designation'],
								'tarif'=>$datadocumentligne['tarif'],
								'taux'=>$datadocumentligne['quantite'],
								'tva'=>$datadocumentligne['tva']);
				$i++;
			};
			
		};
		
		//configuration des couleurs		
		if (defined('CONFIG_coul') AND !empty(dlw_dec(CONFIG_coul))){
			
			$hex=dlw_dec(CONFIG_coul);list($r2, $g2, $b2) = sscanf($hex, "#%02x%02x%02x");			
				
		}else{
			
			$r2=42;$g2=204;$b2=112;
		};
	
		require( ABSPATH ."/functions/fpdf/fpdf.php");
		require( ABSPATH ."/functions/fpdf/rotation.php");		
		
		include("modeles/".dlw_dec(CONFIG_modele_doc).".php");
		//sortie PDF visualisation
		$pdf->Output($file_cloud,'F');
		
		//Si mode brouillon ou que le fichier n'a pas été enregistré dans le cloud
		if( (!isset($_GET['param2']) OR ($datadoc['doc_etat']==0) ) AND defined('CONFIG_lien_cloud') AND defined('CONFIG_name_cloud') ){			
			//enregistrement dans le cloud
			$cloud = yucca_webdav($folder_cloud,$file_cloud);
		};
		
		//Envoi par mail
		include ( ABSPATH ."/functions/mail/email-header.php");
		
		$i=0; //explosions des destinataires
		$addadress = explode(';' , $_POST['emaildest']);
		foreach($addadress as $emaildest) {
			if(!empty($emaildest)){
				$mail->AddAddress($emaildest);
			};
		};
		
		//copie cachée
		$mail->AddBCC(dlw_dec($_SESSION['email']));
		
		//Message suivant statut
		if ($cloud){
			
			$reponse = "Document enregistré dans le cloud et envoyé par email";

		}else{					
	
			if($datadoc['doc_etat']==0){
				
				$reponse = "Document enregistré et envoyé par email";

			}else{
				
				$reponse = "Document renvoyé par email";

			};
					
		};
		
		switch ($_GET['demande']) {      	        	   	    
			case "facture":	
				//mail facture
				$mail->Subject='Votre facture '.$thisnum; // le sujet du mail
				$mail->AddAttachment( ABSPATH .'/'.$file_cloud);
				$mail->Body = nl2br(stripcslashes(mysqli_real_escape_string($db,$_POST['textmail'])));
				break;
			
			case "devis":		
				//mail devis
				$mail->Subject='Votre devis - '.$thisnum; // le sujet du mail
				$mail->AddAttachment( ABSPATH .'/'.$file_cloud);
				$mail->Body = nl2br(stripcslashes(mysqli_real_escape_string($db,$_POST['textmail'])));
				break;	    	    
		};
						
		include ( ABSPATH ."/functions/mail/email-footer.php");
						
		//mise à jour de l'état du document
		mysqli_query($db, "UPDATE ".$presql."_yucca_document SET doc_etat = '1' WHERE id_document = '".$thisfac."'");

		// On supprime le fichier du serveur, puisqu'il sera régénéré si besoin
		unlink($file_cloud);

		//renvoi suivant statut
		if ($ok){
			
			header("location:/".$droitmod['yucca_document']."/".strtolower($docname)."/".$_GET['param1']."/".$thisfac."?ok=".$ok);
			exit;	
		
		}else{
			
			header("location:/".$droitmod['yucca_document']."/".strtolower($docname)."/".$_GET['param1']."/".$thisfac."?nok=".$nok);
			exit;	
			
		};

	};
	
//copie d'un devis en facture
}else if ($_POST['submit']=="FACTURE"){	
		
	$sqltrans = "select * from ".$presql."_yucca_document where id_document = ".$_GET['param2'];
	$reqtrans = mysqli_query($db, $sqltrans);
	$datatrans = mysqli_fetch_assoc($reqtrans);
	
	mysqli_query($db, "INSERT INTO ".$presql."_yucca_document (id_projet,id_fournisseur,type_doc,type_reglement,tarif,name_doc,delai)
	VALUES ('".$datatrans['id_projet']."','".$datatrans['id_fournisseur']."','rec','non','".$datatrans['tarif']."','".dlw_enc('FACTURE')."','".$datatrans['delai']."')");
	$thistrans=mysqli_insert_id($db);
	
	$sqltransligne = "select * from ".$presql."_yucca_documentligne where id_document = ".$_GET['param2'];
	$reqtransligne = mysqli_query($db, $sqltransligne);
	while($datatransligne = mysqli_fetch_assoc($reqtransligne)) {
		foreach($datatransligne as $key => $value) {
			$datatransligne[$key] = mysqli_real_escape_string($db,$value);
		};
		mysqli_query($db, "INSERT INTO ".$presql."_yucca_documentligne (id_document,designation,quantite,tarif,tva) VALUES ('".$thistrans."','".$datatransligne['designation']."','".$datatransligne['quantite']."','".$datatransligne['tarif']."','".$datatransligne['tva']."')");
	};
	
	header("location:/".$droitmod['yucca_document']."/facture/".$_GET['param1']."/".$thistrans."?ok=Dupliqué en nouvelle facture");
	
	
//copie d'un devis annulé en nouveau devis
}else if ($_POST['submit']=="DEVIS"){	
		
	$sqltrans = "select * from ".$presql."_yucca_document where id_document = ".$_GET['param2'];
	$reqtrans = mysqli_query($db, $sqltrans);
	$datatrans = mysqli_fetch_assoc($reqtrans);
	
	mysqli_query($db, "INSERT INTO ".$presql."_yucca_document (id_projet,id_fournisseur,type_doc,type_reglement,tarif,name_doc,delai)
	VALUES ('".$datatrans['id_projet']."','".$datatrans['id_fournisseur']."','dev','non','".$datatrans['tarif']."','".dlw_enc('DEVIS')."','".$datatrans['delai']."')");
	$thistrans=mysqli_insert_id($db);
	
	$sqltransligne = "select * from ".$presql."_yucca_documentligne where id_document = ".$_GET['param2'];
	$reqtransligne = mysqli_query($db, $sqltransligne);
	while($datatransligne = mysqli_fetch_assoc($reqtransligne)) {
		foreach($datatransligne as $key => $value) {
			$datatransligne[$key] = mysqli_real_escape_string($db,$value);
		};
		mysqli_query($db, "INSERT INTO ".$presql."_yucca_documentligne (id_document,designation,quantite,tarif,tva) VALUES ('".$thistrans."','".$datatransligne['designation']."','".$datatransligne['quantite']."','".$datatransligne['tarif']."','".$datatransligne['tva']."')");
	};

	header("location:/".$droitmod['yucca_document']."/devis/".$_GET['param1']."/".$thistrans."?ok=Dupliqué en nouveau devis");	
	
	
			
//Suppression d'un brouillon
}else if ($_POST['submit']=="supprimer"){		
	
	// a faire : verifier le type de document et son état
	
    mysqli_query($db, "DELETE FROM ".$presql."_yucca_document WHERE id_document = '".$_GET['param2']."'");
    mysqli_query($db, "DELETE FROM ".$presql."_yucca_documentligne WHERE id_document = '".$_GET['param2']."'");
    
    if( !empty( $_GET['param1'] ) ){ 

		header("location:/".$droitmod['yucca_projet']."/fiche/".$_GET['param1']."?ok=Document supprimé");

	} else {
		
		header("location:/".$droitmod['yucca_fournisseur']."/fiche/".$_POST['id_fournisseur']."?ok=Document supprimé");

	};

    exit;
    
};
?>
