<?php
//Calcul du nombre de projets
$sqlcounttotalproj = "select count(*) as total from ".$presql."_yucca_projet"; //nombres d entrees dans la db
$reqcounttotalproj = mysqli_query($db, $sqlcounttotalproj);
$datacounttotalproj = mysqli_fetch_assoc($reqcounttotalproj);

//Projets récents
$sqllisteproj = "select * from ".$presql."_yucca_projet ORDER BY id_projet DESC LIMIT 10";
$reqlisteproj = mysqli_query($db, $sqllisteproj);

$projets=array();
$sqlprojet= "select projet_date from ".$presql."_yucca_projet";
$reqprojet = mysqli_query($db, $sqlprojet);


	$anneemoins1 = date('Y') -1 ;$projets[$anneemoins1]=0;
	$anneemoins2 = date('Y') -2 ;$projets[$anneemoins2]=0;
	$anneemoins3 = date('Y') -3 ;$projets[$anneemoins3]=0;
	$anneemoins4 = date('Y') -4 ;$projets[$anneemoins4]=0;

	while($dataprojets = mysqli_fetch_assoc($reqprojet)){
		//Extraire l'année de la variable $dataprojets['projet_date']
		$thisprojet = date("Y", strtotime($dataprojets['projet_date']));
		if (isset($projets[$thisprojet])){$projets[$thisprojet]++;}else{$projets[$thisprojet]=1;};

	};
	
	//Calcul pourcentage de progression des projets par année
	$valeuranneemoins1 = $projets[$anneemoins1];
	$valeuranneemoins2 = $projets[$anneemoins2];
	$valeuranneemoins3 = $projets[$anneemoins3];
	$valeuranneemoins4 = $projets[$anneemoins4];
?>

<div class="accueil">
	<a class="head" href="/<?php echo $droitmod['yucca_projet'];?>"><h2><?php echo $droitmod['yucca_projet_titre'];?><span class="numberacc"><?php echo $datacounttotalproj['total'];?></span></h2></a>
		<div class="container">
			<div class="row">
				<div class="col12 recent">
					<h3>Récents</h3>						
					<div class="row">
						<div class="col12">
						<?php while ($datalisteproj = mysqli_fetch_assoc($reqlisteproj)) {?>
							<a href="/<?php echo $droitmod['yucca_projet'];?>/fiche/<?php echo $datalisteproj['id_projet'];?>"><?php echo dlw_dec($datalisteproj['libelle'])." / ".dlw_dec($datalisteproj['sstitle']);?></a>
						<?php };?>
						</div>						
					</div>						
				</div>
				<hr>			
				<div class="col12">
					<h3>Progression annuelle</h3>
					<div class="row">
						<div class="col12">
							<?php 
							$data = array(
							  array('year' => $anneemoins1, 'value' => $projets[$anneemoins1]),
							  array('year' => $anneemoins2, 'value' => $projets[$anneemoins2]),
							  array('year' => $anneemoins3, 'value' => $projets[$anneemoins3]),
							  array('year' => $anneemoins4, 'value' => $projets[$anneemoins4]),
							);
							echo stat_graph($data, 2);

							?>
						</div>						
					</div>
				</div>							
			</div>
		</div>	
</div>




<?php
		// recherche de projets dont la date de prochaine échéance
		$sqlrec = "select * from ".$presql."_yucca_tache
					LEFT JOIN ".$presql."_yucca_projet on ".$presql."_yucca_projet.id_projet = ".$presql."_yucca_tache.id_projet
					WHERE ".$presql."_yucca_tache.dateDebut_tache < NOW() + INTERVAL ".dlw_dec(CONFIG_ech_projet)." DAY AND avanc < 100
					AND ".$presql."_yucca_tache.end = '0'";
		setlocale(LC_TIME, 'fr_FR.utf8');
		
		$reqrec = mysqli_query($db, $sqlrec);
		$dossierech=array();
		
		//pour chaque projet
		while ($datarec = mysqli_fetch_assoc($reqrec)){
			
					//Affichage du contact ou de la structure lié
					if(($datarec['id_structure'] != 0) AND isset($droitmod['yucca_structure'])){
						$sqlstruc = "select * from ".$presql."_yucca_structure WHERE id_structure = '".$datarec['id_structure']."'";
						if($reqstruc = mysqli_query($db, $sqlstruc)){
							$datastruc = mysqli_fetch_assoc($reqstruc);
							$nameclient=dlw_dec($datastruc['structure']);
						};
					}else{
						$thiscontact = explode(";",$datarec['ids_contact']);
						$sqlstruc = "select * from ".$presql."_yucca_contact WHERE id_contact = '".$thiscontact[0]."'";
						if($reqstruc = mysqli_query($db, $sqlstruc)){
							$datastruc = mysqli_fetch_assoc($reqstruc);
							$nameclient=dlw_dec($datastruc['firstname'])." ".dlw_dec($datastruc['name']);
						};				
					};

				$datatache = mysqli_fetch_assoc(mysqli_query($db,"select titre_tache from ".$presql."_yucca_tache WHERE id_projet =".$datarec['id_projet']." AND end=0 ORDER BY id_tache ASC"));
				
				$dossierech[] = array(
					"id" => $datarec['id_projet'],
					"dossier" => dlw_dec($datarec['libelle'])."-".$nameclient,
					"ech" => date("d/m/Y",strtotime($datarec['dateDebut_tache'])),
					"sort" => strtotime($datarec['dateDebut_tache']),
					"tache" => dlw_dec($datarec['titre_tache'])
					);
		};
		
		array_multisort( array_column($dossierech, "sort"), SORT_ASC, $dossierech );	
?>


<div class="accueil">
		<a class="head" href="/<?php echo $droitmod['yucca_projet'];?>/tache"><h2>Tâche<span class="numberacc"><?php echo dlw_dec(CONFIG_ech_projet);?>j</span></h2></a>

		<?php 
		foreach ($dossierech as $dossier){
			if(!empty($dossier['id'])){
			?>
			
			<div class="container acctache">
				<div class="row samefix">
					<div class="col9">
						<h3><?php echo $dossier['dossier'];?></h3>
						<a href="/<?php  echo $droitmod['yucca_projet'];?>/fiche/<?php echo $dossier['id'];?>"><i class="fas fa-tasks"></i> <?php echo $dossier['tache'];?></a>
					</div>
					<div class="col3">
						<p class="dateech <?php
						
						if (strtotime($dossier['ech']) < strtotime('today')){ echo "retard";} else if (strtotime($dossier['ech']) == strtotime('today')){ echo "today";};

						?>"><?php echo $dossier['ech'];?></p>
					</div>											
				</div>
			</div>	
		<?php }} ?>
</div>


<?php

//je fais un tableau
	$times=array();

//je fais une requete pour récupérer le nom du projet avec le timer qui a été enregistré dans le mois
	$sqltimes= "select * from ".$presql."_yucca_timer
	LEFT JOIN ".$presql."_yucca_projet ON ".$presql."_yucca_projet.id_projet=".$presql."_yucca_timer.id_projet
	WHERE MONTH(timer_date) = ".date("m")." AND YEAR(timer_date) = ".date("Y");
	
	$reqtimes= mysqli_query($db, $sqltimes);
	$total=0;

	//Pour chaque projet, je récupère le nom dont le timer = mois en cours
	while($datatimes = mysqli_fetch_assoc($reqtimes)){
		
		$thistimes=dlw_dec($datatimes['libelle']); //on affiche le nom du projet (Assistance, ...)
		
		if (!empty($times[$thistimes])){
			
			$times[$thistimes] += $datatimes['hour_timer']; 
		
		}else{
			
			$times[$thistimes] = $datatimes['hour_timer']; 

		};
		
		
		$total = $total+$datatimes['hour_timer'];// on fait le total du temps en minutes
		
		
	}
	arsort($times);
?>

<div class="accueil">
		<a class="head" href="/<?php echo $droitmod['yucca_projet'];?>/bilan?annee=<?php echo date('Y'); ?>&type=<?php echo $droitmod['yucca_projet'];?>"><h2>Bilan Horaire<span class="numberacc"><?php echo round($total/60,1);?> h</span></h2></a>

		<div class="container">
			<div class="row">
				<div class="col12">
				<?php
					foreach( $times as $key => $value ){//je fais un sous tableau
						$pourcentimer = ($value/$total*100);// je calcule le pourcentage donc heure diviser par le total * 100
						
						?><div class="row samefix">
							<div class="col4"><?php echo strtoupper($key) ?></div>
							<div class="col8"><?php echo stat_bar_h($pourcentimer);?></div>
						</div><?php
					 } ?>
                </div>
			</div>
		</div>	
</div>
