<?php 

//securisation des données POST
function recursive_escape(&$value) {
    global $db;
    $value = mysqli_real_escape_string($db, $value);
}

array_walk_recursive($_POST, 'recursive_escape');

extract($_POST);

if(isset($projmodif)){

	//modification d'un projet
	if ($submit=="ENREGISTRER"){
		
		$sqltask = "select uid,id_projet,id_tache from ".$presql."_yucca_tache where id_projet = '".$idproj."'";
		$reqtask = mysqli_query($db, $sqltask);
		
		while ($datatask = mysqli_fetch_assoc($reqtask)) { 
			
			//suppression des taches
			if (
				defined('CONFIG_lien_cloud') 
			AND defined('CONFIG_name_cloud') 
			AND defined('CONFIG_password_cloud') 
			AND defined('CONFIG_agenda_projet')
			 
			){
				//appelle du script next cloud 
				require_once 'ClassAgenda.php'; 			
				task_in_NextCloud::DeleteTask($datatask['uid']);
			}
			
			mysqli_query($db, "DELETE FROM ".$presql."_yucca_tache WHERE id_tache = '".$datatask['id_tache']."'");
			
		};
	
		foreach($tache as $value) {

			if(!empty($value['name'])){

				if(isset($value['end'])){$end=1;}else{$end=0;};
				
				if(empty($value['datedebut'])){
					
					mysqli_query($db, "INSERT INTO ".$presql."_yucca_tache (id_projet,titre_tache,end) VALUES ('".$idproj."','".dlw_enc($value['name'])."','".$end."')");	
				}
				else{
					
					if(empty($value['datefin'])){
						$value['datefin']=$value['datedebut'];
					};

					if (
						defined('CONFIG_lien_cloud') 
					AND defined('CONFIG_name_cloud') 
					AND defined('CONFIG_password_cloud') 
					AND defined('CONFIG_agenda_projet')
					){
						
						$uid = task_in_NextCloud::addTask($value['name'],$value['datedebut'],$value['heuredebut'],$value['datefin'],$value['heurefin'],null,null);
						mysqli_query($db,"INSERT INTO ".$presql."_yucca_tache (id_projet,titre_tache,uid,dateDebut_tache,heure_Debut,dateFin_tache,heure_Fin,end)
						VALUES ('".$idproj."','".dlw_enc($value['name'])."','".$uid."','".$value['datedebut']."','".$value['heuredebut']."','".$value['datefin']."','".$value['heurefin']."','".$end."')");	 
						
					}
					else{
						
						mysqli_query($db,"INSERT INTO ".$presql."_yucca_tache (id_projet,titre_tache,dateDebut_tache,end)
						VALUES ('".$idproj."','".dlw_enc($value['name'])."','".$value['datedebut']."','".$end."')");
						
					};
				};
			};
		};	

		//nombre total de taches du projet
		$sqlcount = "select COUNT(*) as tottache from ".$presql."_yucca_tache where id_projet = '".$_GET['param1']."'";
		$reqcount = mysqli_query($db, $sqlcount);
		$datacount = mysqli_fetch_assoc($reqcount);
			
		//nombre de taches terminées
		$sqlcountend = "select COUNT(*) as tottacheend from ".$presql."_yucca_tache where id_projet = '".$_GET['param1']."' and end ='1'";
		$reqcountend = mysqli_query($db, $sqlcountend);
		$datacountend = mysqli_fetch_assoc($reqcountend);	
			
		//calcul du pourcentage d'avancement
		if(is_numeric($datacount['tottache']) AND ($datacount['tottache']>0)){
			$avanc=round(($datacountend['tottacheend']*100)/$datacount['tottache']);
		}else{
			$avanc=0;
		};
				
		//projet en cours ou terminé
		if (isset($etat) AND (empty($tache[1]['name']))){$valetat=1;$avanc=100;}else{$valetat=0;};
		
		mysqli_query($db, "UPDATE ".$presql."_yucca_projet SET
		
		ids_contact='".$contactasso."',
		etat='".$valetat."',
		avanc='".$avanc."',
		budget='".dlw_enc($budget)."',
		description ='".dlw_enc($descriptionproj)."',
		sstitle ='".dlw_enc($sstitle)."'

		WHERE id_projet = '".$idproj."'");

	    $ok = "Projet à jour";

	    
	}else if($submit=="SUPPRIMER"){
		//suppression du projet et timer
		mysqli_query($db, "DELETE FROM ".$presql."_yucca_projet WHERE id_projet = '".$idproj."'");
		mysqli_query($db, "DELETE FROM ".$presql."_yucca_timer WHERE id_projet = '".$idproj."'");

        header("Location:/".DLW_DOSSIER."?ok=Projet supprimé");exit;
	}else if($submit=="FACTURE"){
		//nouvelle facture
       header("location:/".$droitmod['yucca_document']."/facture/".$idproj);
       exit; 
	}else if($submit=="DEVIS"){
		//nouveau devis
        header("location:/".$droitmod['yucca_document']."/devis/".$idproj);
        exit;  
    }else if($submit=="DEPENSE"){
		//nouveau devis
        header("location:/".$droitmod['yucca_document']."/depense/".$idproj);
        exit;        
	};
	
	
//mise à jour des taches dans la liste des tâches
}else if(isset($taskmodif)){
	//modification de fin de tâche
		
	foreach($tache as $value) {
		
		if(isset($value['end'])){
			
			mysqli_query($db, "UPDATE ".$presql."_yucca_tache SET end='1' WHERE id_tache = '".$value['id']."'");
		
		};
	
		//mise à jour de l'avancement du projet		
		//nombre total de taches du projet
		$sqlcount = "select COUNT(*) as tottache from ".$presql."_yucca_tache where id_projet = '".$value['id_proj']."'";
		$reqcount = mysqli_query($db, $sqlcount);
		$datacount = mysqli_fetch_assoc($reqcount);
			
		//nombre de taches terminées
		$sqlcountend = "select COUNT(*) as tottacheend from ".$presql."_yucca_tache where id_projet = '".$value['id_proj']."' and end ='1'";
		$reqcountend = mysqli_query($db, $sqlcountend);
		$datacountend = mysqli_fetch_assoc($reqcountend);	
			
		//calcul du pourcentage d'avancement
		if(is_numeric($datacount['tottache']) AND ($datacount['tottache']>0)){
			$avanc=round(($datacountend['tottacheend']*100)/$datacount['tottache']);
		}else{
			$avanc=0;
		};	
			
		//mise à jour de l'avancement du projet
		mysqli_query($db, "UPDATE ".$presql."_yucca_projet SET avanc='".$avanc."' WHERE id_projet = '".$value['id_proj']."'");		
			
	};	

	$ok ="Tâche modifiée";
};
